/*	$OpenBSD: usbdevs.h,v 1.293 2007/08/10 06:32:28 xsa Exp $	*/

/*
 * THIS FILE IS AUTOMATICALLY GENERATED.  DO NOT EDIT.
 *
 * generated from:
 *	OpenBSD: usbdevs,v 1.285 2007/08/10 06:31:17 xsa Exp 
 */
/* $NetBSD: usbdevs,v 1.322 2003/05/10 17:47:14 hamajima Exp $ */

/*
 * Copyright (c) 1998, 1999, 2000 The NetBSD Foundation, Inc.
 * All rights reserved.
 *
 * This code is derived from software contributed to The NetBSD Foundation
 * by Lennart Augustsson (lennart@augustsson.net) at
 * Carlstedt Research & Technology.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *        This product includes software developed by the NetBSD
 *        Foundation, Inc. and its contributors.
 * 4. Neither the name of The NetBSD Foundation nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

/*
 * List of known USB vendors
 *
 * Please note that these IDs do not do anything. Adding an ID here and
 * regenerating the usbdevs.h and usbdevs_data.h only makes a symbolic name
 * available to the source code and does not change any functionality, nor
 * does it make your device available to a specific driver.
 * It will however make the descriptive string available if a device does not
 * provide the string itself.
 *
 * After adding a vendor ID VNDR and a product ID PRDCT you will have the
 * following extra defines:
 * #define USB_VENDOR_VNDR              0x????
 * #define USB_PRODUCT_VNDR_PRDCT       0x????
 *
 * You may have to add these defines to the respective probe routines to
 * make the device recognised by the appropriate device driver.
 */

#define	USB_VENDOR_UNKNOWN1	0x0053		/* Unknown vendor */
#define	USB_VENDOR_UNKNOWN2	0x0105		/* Unknown vendor */
#define	USB_VENDOR_EGALAX2	0x0123		/* eGalax */
#define	USB_VENDOR_HUMAX	0x02ad		/* HUMAX */
#define	USB_VENDOR_BWCT	0x03da		/* Bernd Walter Computer Technology */
#define	USB_VENDOR_AOX	0x03e8		/* AOX */
#define	USB_VENDOR_ATMEL	0x03eb		/* Atmel */
#define	USB_VENDOR_MITSUMI	0x03ee		/* Mitsumi */
#define	USB_VENDOR_HP	0x03f0		/* Hewlett Packard */
#define	USB_VENDOR_ADAPTEC	0x03f3		/* Adaptec */
#define	USB_VENDOR_NATIONAL	0x0400		/* National Semiconductor */
#define	USB_VENDOR_ACERLABS	0x0402		/* Acer Labs */
#define	USB_VENDOR_FTDI	0x0403		/* Future Technology Devices */
#define	USB_VENDOR_NEC	0x0409		/* NEC */
#define	USB_VENDOR_KODAK	0x040a		/* Eastman Kodak */
#define	USB_VENDOR_MELCO	0x0411		/* Melco */
#define	USB_VENDOR_LEADTEK	0x0413		/* Leadtek */
#define	USB_VENDOR_CREATIVE	0x041e		/* Creative Labs */
#define	USB_VENDOR_CREATIVE2	0x1292		/* Creative Labs */
#define	USB_VENDOR_ADI	0x0422		/* ADI Systems */
#define	USB_VENDOR_CATC	0x0423		/* Computer Access Technology */
#define	USB_VENDOR_SMC2	0x0424		/* Standard Microsystems */
#define	USB_VENDOR_GRAVIS	0x0428		/* Advanced Gravis Computer */
#define	USB_VENDOR_SUN	0x0430		/* Sun Microsystems */
#define	USB_VENDOR_TAUGA	0x0436		/* Taugagreining HF */
#define	USB_VENDOR_AMD	0x0438		/* Advanced Micro Devices */
#define	USB_VENDOR_LEXMARK	0x043d		/* Lexmark International */
#define	USB_VENDOR_NANAO	0x0440		/* NANAO */
#define	USB_VENDOR_ALPS	0x044e		/* Alps Electric */
#define	USB_VENDOR_THRUST	0x044f		/* Thrustmaster */
#define	USB_VENDOR_TI	0x0451		/* Texas Instruments */
#define	USB_VENDOR_ANALOGDEVICES	0x0456		/* Analog Devices */
#define	USB_VENDOR_SIS	0x0457		/* Silicon Integrated Systems Corp. */
#define	USB_VENDOR_KYE	0x0458		/* KYE Systems */
#define	USB_VENDOR_DIAMOND2	0x045a		/* Diamond (Supra) */
#define	USB_VENDOR_MICROSOFT	0x045e		/* Microsoft */
#define	USB_VENDOR_PRIMAX	0x0461		/* Primax Electronics */
#define	USB_VENDOR_MGE	0x0463		/* MGE UPS Systems */
#define	USB_VENDOR_AMP	0x0464		/* AMP */
#define	USB_VENDOR_CHERRY	0x046a		/* Cherry Mikroschalter */
#define	USB_VENDOR_MEGATRENDS	0x046b		/* American Megatrends */
#define	USB_VENDOR_LOGITECH	0x046d		/* Logitech */
#define	USB_VENDOR_BTC	0x046e		/* Behavior Tech. Computer */
#define	USB_VENDOR_PHILIPS	0x0471		/* Philips */
#define	USB_VENDOR_SANYO	0x0474		/* Sanyo Electric */
#define	USB_VENDOR_CONNECTIX	0x0478		/* Connectix */
#define	USB_VENDOR_KENSINGTON	0x047d		/* Kensington */
#define	USB_VENDOR_LUCENT	0x047e		/* Lucent */
#define	USB_VENDOR_KYOCERA	0x0482		/* Kyocera */
#define	USB_VENDOR_PLANTRONICS	0x047f		/* Plantronics */
#define	USB_VENDOR_STMICRO	0x0483		/* STMicroelectronics */
#define	USB_VENDOR_YAMAHA	0x0499		/* YAMAHA */
#define	USB_VENDOR_COMPAQ	0x049f		/* Compaq */
#define	USB_VENDOR_HITACHI	0x04a4		/* Hitachi */
#define	USB_VENDOR_ACERP	0x04a5		/* Acer Peripherals */
#define	USB_VENDOR_DAVICOM	0x04a6		/* Davicom */
#define	USB_VENDOR_VISIONEER	0x04a7		/* Visioneer */
#define	USB_VENDOR_CANON	0x04a9		/* Canon */
#define	USB_VENDOR_NIKON	0x04b0		/* Nikon */
#define	USB_VENDOR_IBM	0x04b3		/* IBM */
#define	USB_VENDOR_CYPRESS	0x04b4		/* Cypress Semiconductor */
#define	USB_VENDOR_EPSON	0x04b8		/* Seiko Epson */
#define	USB_VENDOR_RAINBOW	0x04b9		/* Rainbow Technologies */
#define	USB_VENDOR_IODATA	0x04bb		/* I/O Data */
#define	USB_VENDOR_TDK	0x04bf		/* TDK */
#define	USB_VENDOR_3COMUSR	0x04c1		/* U.S. Robotics */
#define	USB_VENDOR_METHODE	0x04c2		/* Methode Electronics Far East */
#define	USB_VENDOR_MAXISWITCH	0x04c3		/* Maxi Switch */
#define	USB_VENDOR_LOCKHEEDMER	0x04c4		/* Lockheed Martin Energy Research */
#define	USB_VENDOR_FUJITSU	0x04c5		/* Fujitsu */
#define	USB_VENDOR_TOSHIBAAM	0x04c6		/* Toshiba America */
#define	USB_VENDOR_MICROMACRO	0x04c7		/* Micro Macro Technologies */
#define	USB_VENDOR_KONICA	0x04c8		/* Konica */
#define	USB_VENDOR_LITEON	0x04ca		/* Lite-On Technology */
#define	USB_VENDOR_FUJIPHOTO	0x04cb		/* Fuji Photo Film */
#define	USB_VENDOR_PHILIPSSEMI	0x04cc		/* Philips Semiconductors */
#define	USB_VENDOR_TATUNG	0x04cd		/* Tatung Co. Of America */
#define	USB_VENDOR_SCANLOGIC	0x04ce		/* ScanLogic */
#define	USB_VENDOR_MYSON	0x04cf		/* Myson Technology */
#define	USB_VENDOR_DIGI2	0x04d0		/* Digi */
#define	USB_VENDOR_ITTCANON	0x04d1		/* ITT Canon */
#define	USB_VENDOR_ALTEC	0x04d2		/* Altec Lansing */
#define	USB_VENDOR_PANASONIC	0x04da		/* Panasonic (Matsushita) */
#define	USB_VENDOR_SHARP	0x04dd		/* Sharp */
#define	USB_VENDOR_IIYAMA	0x04e1		/* Iiyama */
#define	USB_VENDOR_SHUTTLE	0x04e6		/* Shuttle Technology */
#define	USB_VENDOR_SAMSUNG2	0x04e8		/* Samsung Electronics */
#define	USB_VENDOR_ANNABOOKS	0x04ed		/* Annabooks */
#define	USB_VENDOR_JVC	0x04f1		/* JVC */
#define	USB_VENDOR_CHICONY	0x04f2		/* Chicony Electronics */
#define	USB_VENDOR_BROTHER	0x04f9		/* Brother Industries */
#define	USB_VENDOR_DALLAS	0x04fa		/* Dallas Semiconductor */
#define	USB_VENDOR_ACER	0x0502		/* Acer */
#define	USB_VENDOR_3COM	0x0506		/* 3Com */
#define	USB_VENDOR_AZTECH	0x0509		/* Aztech Systems */
#define	USB_VENDOR_BELKIN	0x050d		/* Belkin Components */
#define	USB_VENDOR_KAWATSU	0x050f		/* Kawatsu Semiconductor */
#define	USB_VENDOR_APC	0x051d		/* American Power Conversion */
#define	USB_VENDOR_CONNECTEK	0x0522		/* Advanced Connectek USA */
#define	USB_VENDOR_NETCHIP	0x0525		/* NetChip Technology */
#define	USB_VENDOR_ALTRA	0x0527		/* ALTRA */
#define	USB_VENDOR_ATI	0x0528		/* ATI Technologies */
#define	USB_VENDOR_AKS	0x0529		/* Aladdin Knowledge Systems */
#define	USB_VENDOR_UNIACCESS	0x0540		/* Universal Access */
#define	USB_VENDOR_VIEWSONIC	0x0543		/* ViewSonic */
#define	USB_VENDOR_XIRLINK	0x0545		/* Xirlink */
#define	USB_VENDOR_ANCHOR	0x0547		/* Anchor Chips */
#define	USB_VENDOR_SONY	0x054c		/* Sony */
#define	USB_VENDOR_VISION	0x0553		/* VLSI Vision */
#define	USB_VENDOR_ASAHIKASEI	0x0556		/* Asahi Kasei Microsystems */
#define	USB_VENDOR_ATEN	0x0557		/* ATEN International */
#define	USB_VENDOR_SAMSUNG	0x055d		/* Samsung */
#define	USB_VENDOR_MUSTEK	0x055f		/* Mustek Systems */
#define	USB_VENDOR_TELEX	0x0562		/* Telex Communications */
#define	USB_VENDOR_PERACOM	0x0565		/* Peracom Networks */
#define	USB_VENDOR_ALCOR2	0x0566		/* Alcor Micro */
#define	USB_VENDOR_WACOM	0x056a		/* WACOM */
#define	USB_VENDOR_ETEK	0x056c		/* e-TEK Labs */
#define	USB_VENDOR_EIZO	0x056d		/* EIZO */
#define	USB_VENDOR_ELECOM	0x056e		/* Elecom */
#define	USB_VENDOR_HAUPPAUGE	0x0573		/* Hauppauge Computer Works */
#define	USB_VENDOR_BAFO	0x0576		/* BAFO/Quality Computer Accessories */
#define	USB_VENDOR_YEDATA	0x057b		/* Y-E Data */
#define	USB_VENDOR_AVM	0x057c		/* AVM */
#define	USB_VENDOR_QUICKSHOT	0x057f		/* Quickshot */
#define	USB_VENDOR_ROLAND	0x0582		/* Roland */
#define	USB_VENDOR_ROCKFIRE	0x0583		/* Rockfire */
#define	USB_VENDOR_RATOC	0x0584		/* RATOC Systems */
#define	USB_VENDOR_ZYXEL	0x0586		/* ZyXEL Communication */
#define	USB_VENDOR_ALCOR	0x058f		/* Alcor Micro */
#define	USB_VENDOR_IOMEGA	0x059b		/* Iomega */
#define	USB_VENDOR_ATREND	0x059c		/* A-Trend Technology */
#define	USB_VENDOR_AID	0x059d		/* Advanced Input Devices */
#define	USB_VENDOR_LACIE	0x059f		/* LaCie */
#define	USB_VENDOR_THRUSTMASTER	0x05a4		/* Thrustmaster */
#define	USB_VENDOR_OMNIVISION	0x05a9		/* OmniVision */
#define	USB_VENDOR_INSYSTEM	0x05ab		/* In-System Design */
#define	USB_VENDOR_APPLE	0x05ac		/* Apple Computer */
#define	USB_VENDOR_DIGI	0x05c5		/* Digi International */
#define	USB_VENDOR_QUALCOMM	0x05c6		/* Qualcomm */
#define	USB_VENDOR_QTRONIX	0x05c7		/* Qtronix */
#define	USB_VENDOR_RICOH	0x05ca		/* Ricoh */
#define	USB_VENDOR_ELSA	0x05cc		/* ELSA */
#define	USB_VENDOR_BRAINBOXES	0x05d1		/* Brainboxes */
#define	USB_VENDOR_ULTIMA	0x05d8		/* Ultima */
#define	USB_VENDOR_AXIOHM	0x05d9		/* Axiohm Transaction Solutions */
#define	USB_VENDOR_MICROTEK	0x05da		/* Microtek */
#define	USB_VENDOR_SUNTAC	0x05db		/* SUN Corporation */
#define	USB_VENDOR_LEXAR	0x05dc		/* Lexar Media */
#define	USB_VENDOR_ADDTRON	0x05dd		/* Addtron */
#define	USB_VENDOR_SYMBOL	0x05e0		/* Symbol Technologies */
#define	USB_VENDOR_GENESYS	0x05e3		/* Genesys Logic */
#define	USB_VENDOR_FUJI	0x05e5		/* Fuji Electric */
#define	USB_VENDOR_KEITHLEY	0x05e6		/* Keithley Instruments */
#define	USB_VENDOR_EIZONANAO	0x05e7		/* EIZO Nanao */
#define	USB_VENDOR_KLSI	0x05e9		/* Kawasaki LSI */
#define	USB_VENDOR_FFC	0x05eb		/* FFC */
#define	USB_VENDOR_ANKO	0x05ef		/* Anko Electronic */
#define	USB_VENDOR_PIENGINEERING	0x05f3		/* P.I. Engineering */
#define	USB_VENDOR_AOC	0x05f6		/* AOC International */
#define	USB_VENDOR_CHIC	0x05fe		/* Chic Technology */
#define	USB_VENDOR_BARCO	0x0600		/* Barco Display Systems */
#define	USB_VENDOR_BRIDGE	0x0607		/* Bridge Information */
#define	USB_VENDOR_SOLIDYEAR	0x060b		/* Solid Year */
#define	USB_VENDOR_BIORAD	0x0614		/* Bio-Rad Laboratories */
#define	USB_VENDOR_MACALLY	0x0618		/* Macally */
#define	USB_VENDOR_ACTLABS	0x061c		/* Act Labs */
#define	USB_VENDOR_ALARIS	0x0620		/* Alaris */
#define	USB_VENDOR_APEX	0x0624		/* Apex */
#define	USB_VENDOR_VIVITAR	0x0636		/* Vivitar */
#define	USB_VENDOR_GUNZE	0x0637		/* Gunze Electronics USA */
#define	USB_VENDOR_AVISION	0x0638		/* Avision */
#define	USB_VENDOR_TEAC	0x0644		/* TEAC */
#define	USB_VENDOR_ARKMICRO	0x6547		/* Arkmicro */
#define	USB_VENDOR_SGI	0x065e		/* Silicon Graphics */
#define	USB_VENDOR_SANWASUPPLY	0x0663		/* Sanwa Supply */
#define	USB_VENDOR_LINKSYS	0x066b		/* Linksys */
#define	USB_VENDOR_ACERSA	0x066e		/* Acer Semiconductor America */
#define	USB_VENDOR_SIGMATEL	0x066f		/* Sigmatel */
#define	USB_VENDOR_DRAYTEK	0x0675		/* DrayTek */
#define	USB_VENDOR_AIWA	0x0677		/* Aiwa */
#define	USB_VENDOR_ACARD	0x0678		/* ACARD Technology */
#define	USB_VENDOR_PROLIFIC	0x067b		/* Prolific Technology */
#define	USB_VENDOR_SIEMENS	0x067c		/* Siemens */
#define	USB_VENDOR_AVANCELOGIC	0x0680		/* Avance Logic */
#define	USB_VENDOR_SIEMENS2	0x0681		/* Siemens */
#define	USB_VENDOR_MINOLTA	0x0686		/* Minolta */
#define	USB_VENDOR_CHPRODUCTS	0x068e		/* CH Products */
#define	USB_VENDOR_HAGIWARA	0x0693		/* Hagiwara Sys-Com */
#define	USB_VENDOR_CTX	0x0698		/* Chuntex */
#define	USB_VENDOR_ASKEY	0x069a		/* Askey Computer */
#define	USB_VENDOR_SAITEK	0x06a3		/* Saitek */
#define	USB_VENDOR_ALCATELT	0x06b9		/* Alcatel Telecom */
#define	USB_VENDOR_AGFA	0x06bd		/* AGFA-Gevaert */
#define	USB_VENDOR_ASIAMD	0x06be		/* Asia Microelectronic Development */
#define	USB_VENDOR_BIZLINK	0x06c4		/* Bizlink International */
#define	USB_VENDOR_KEYSPAN	0x06cd		/* Keyspan */
#define	USB_VENDOR_AASHIMA	0x06d6		/* Aashima Technology */
#define	USB_VENDOR_MULTITECH	0x06e0		/* MultiTech */
#define	USB_VENDOR_ADS	0x06e1		/* ADS Technologies */
#define	USB_VENDOR_ALCATELM	0x06e4		/* Alcatel Microelectronics */
#define	USB_VENDOR_SIRIUS	0x06ea		/* Sirius Technologies */
#define	USB_VENDOR_BOSTON	0x06fd		/* Boston Acoustics */
#define	USB_VENDOR_GUILLEMOT	0x06f8		/* Guillemot */
#define	USB_VENDOR_SMC	0x0707		/* Standard Microsystems */
#define	USB_VENDOR_PUTERCOM	0x0708		/* Putercom */
#define	USB_VENDOR_MCT	0x0711		/* MCT */
#define	USB_VENDOR_IMATION	0x0718		/* Imation */
#define	USB_VENDOR_SUSTEEN	0x0731		/* Susteen */
#define	USB_VENDOR_EICON	0x0734		/* Eicon Networks */
#define	USB_VENDOR_SYNTECH	0x0745		/* Syntech Information */
#define	USB_VENDOR_DIGITALSTREAM	0x074e		/* Digital Stream */
#define	USB_VENDOR_AUREAL	0x0755		/* Aureal Semiconductor */
#define	USB_VENDOR_MIDIMAN	0x0763		/* Midiman */
#define	USB_VENDOR_SURECOM	0x0769		/* Surecom Technology */
#define	USB_VENDOR_LINKSYS2	0x077b		/* Linksys */
#define	USB_VENDOR_GRIFFIN	0x077d		/* Griffin Technology */
#define	USB_VENDOR_SANDISK	0x0781		/* SanDisk */
#define	USB_VENDOR_JENOPTIK	0x0784		/* Jenoptik */
#define	USB_VENDOR_NOKIA	0x078b		/* Nokia */
#define	USB_VENDOR_BRIMAX	0x078e		/* Brimax */
#define	USB_VENDOR_AXIS	0x0792		/* Axis Communications */
#define	USB_VENDOR_ABL	0x0794		/* ABL Electronics */
#define	USB_VENDOR_SAGEM	0x079b		/* Sagem */
#define	USB_VENDOR_SUNCOMM	0x079c		/* Sun Communications */
#define	USB_VENDOR_ALFADATA	0x079d		/* Alfadata Computer */
#define	USB_VENDOR_NATIONALTECH	0x07a2		/* National Technical Systems */
#define	USB_VENDOR_ONNTO	0x07a3		/* Onnto */
#define	USB_VENDOR_BE	0x07a4		/* Be */
#define	USB_VENDOR_ADMTEK	0x07a6		/* ADMtek */
#define	USB_VENDOR_COREGA	0x07aa		/* Corega */
#define	USB_VENDOR_FREECOM	0x07ab		/* Freecom */
#define	USB_VENDOR_MICROTECH	0x07af		/* Microtech */
#define	USB_VENDOR_MOTOROLA3	0x07b2		/* Motorola */
#define	USB_VENDOR_OLYMPUS	0x07b4		/* Olympus */
#define	USB_VENDOR_ABOCOM	0x07b8		/* AboCom Systems */
#define	USB_VENDOR_KEISOKUGIKEN	0x07c1		/* Keisokugiken */
#define	USB_VENDOR_ONSPEC	0x07c4		/* OnSpec */
#define	USB_VENDOR_APG	0x07c5		/* APG Cash Drawer */
#define	USB_VENDOR_BUG	0x07c8		/* B.U.G. */
#define	USB_VENDOR_ALLIEDTELESYN	0x07c9		/* Allied Telesyn International */
#define	USB_VENDOR_AVERMEDIA	0x07ca		/* AVerMedia Technologies */
#define	USB_VENDOR_SIIG	0x07cc		/* SIIG */
#define	USB_VENDOR_CASIO	0x07cf		/* CASIO */
#define	USB_VENDOR_DLINK2	0x07d1		/* D-Link */
#define	USB_VENDOR_APTIO	0x07d2		/* Aptio Products */
#define	USB_VENDOR_ARASAN	0x07da		/* Arasan Chip Systems */
#define	USB_VENDOR_ALLIEDCABLE	0x07e6		/* Allied Cable */
#define	USB_VENDOR_STSN	0x07ef		/* STSN */
#define	USB_VENDOR_ZOOM	0x0803		/* Zoom Telephonics */
#define	USB_VENDOR_BROADLOGIC	0x0827		/* BroadLogic */
#define	USB_VENDOR_HANDSPRING	0x082d		/* Handspring */
#define	USB_VENDOR_ACTIONSTAR	0x0835		/* Action Star Enterprise */
#define	USB_VENDOR_PALM	0x0830		/* Palm Computing */
#define	USB_VENDOR_SOURCENEXT	0x0833		/* SOURCENEXT */
#define	USB_VENDOR_ACCTON	0x083a		/* Accton Technology */
#define	USB_VENDOR_DIAMOND	0x0841		/* Diamond */
#define	USB_VENDOR_NETGEAR	0x0846		/* BayNETGEAR */
#define	USB_VENDOR_TOPRE	0x0853		/* Topre Corporation */
#define	USB_VENDOR_ACTIVEWIRE	0x0854		/* ActiveWire */
#define	USB_VENDOR_BBELECTRONICS	0x0856		/* B&B Electronics */
#define	USB_VENDOR_PORTGEAR	0x085a		/* PortGear */
#define	USB_VENDOR_NETGEAR2	0x0864		/* Netgear */
#define	USB_VENDOR_SYSTEMTALKS	0x086e		/* System Talks */
#define	USB_VENDOR_METRICOM	0x0870		/* Metricom */
#define	USB_VENDOR_ADESSOKBTEK	0x087c		/* ADESSO/Kbtek America */
#define	USB_VENDOR_JATON	0x087d		/* Jaton */
#define	USB_VENDOR_APT	0x0880		/* APT Technologies */
#define	USB_VENDOR_BOCARESEARCH	0x0885		/* Boca Research */
#define	USB_VENDOR_ANDREA	0x08a8		/* Andrea Electronics */
#define	USB_VENDOR_BURRBROWN	0x08bb		/* Burr-Brown Japan */
#define	USB_VENDOR_2WIRE	0x08c8		/* 2Wire */
#define	USB_VENDOR_AIPTEK	0x08ca		/* AIPTEK International */
#define	USB_VENDOR_SMARTBRIDGES	0x08d1		/* SmartBridges */
#define	USB_VENDOR_BILLIONTON	0x08dd		/* Billionton Systems */
#define	USB_VENDOR_EXTENDED	0x08e9		/* Extended Systems */
#define	USB_VENDOR_MSYSTEMS	0x08ec		/* M-Systems */
#define	USB_VENDOR_AUTHENTEC	0x08ff		/* AuthenTec */
#define	USB_VENDOR_AUDIOTECHNICA	0x0909		/* Audio-Technica */
#define	USB_VENDOR_TRUMPION	0x090a		/* Trumpion Microelectronics */
#define	USB_VENDOR_ALATION	0x0910		/* Alation Systems */
#define	USB_VENDOR_CONCORDCAMERA	0x0919		/* Concord Camera */
#define	USB_VENDOR_GARMIN	0x091e		/* Garmin International */
#define	USB_VENDOR_GOHUBS	0x0921		/* GoHubs */
#define	USB_VENDOR_BIOMETRIC	0x0929		/* American Biometric Company */
#define	USB_VENDOR_INTREPIDCS	0x093c		/* Intrepid */
#define	USB_VENDOR_YANO	0x094f		/* Yano */
#define	USB_VENDOR_KINGSTON	0x0951		/* Kingston Technology */
#define	USB_VENDOR_BLUEWATER	0x0956		/* BlueWater Systems */
#define	USB_VENDOR_AGILENT	0x0957		/* Agilent Technologies */
#define	USB_VENDOR_GUDE	0x0959		/* Gude ADS */
#define	USB_VENDOR_PORTSMITH	0x095a		/* Portsmith */
#define	USB_VENDOR_ACERW	0x0967		/* Acer */
#define	USB_VENDOR_ADIRONDACK	0x0976		/* Adirondack Wire & Cable */
#define	USB_VENDOR_BECKHOFF	0x0978		/* Beckhoff */
#define	USB_VENDOR_MINDSATWORK	0x097a		/* Minds At Work */
#define	USB_VENDOR_INTERSIL	0x09aa		/* Intersil */
#define	USB_VENDOR_ALTIUS	0x09b3		/* Altius Solutions */
#define	USB_VENDOR_ARRIS	0x09c1		/* Arris Interactive */
#define	USB_VENDOR_ACTIVCARD	0x09c3		/* ACTIVCARD */
#define	USB_VENDOR_ACTISYS	0x09c4		/* ACTiSYS */
#define	USB_VENDOR_AFOURTECH	0x09da		/* A-FOUR TECH */
#define	USB_VENDOR_AIMEX	0x09dc		/* AIMEX */
#define	USB_VENDOR_ADDONICS	0x09df		/* Addonics Technologies */
#define	USB_VENDOR_AKAI	0x09e8		/* AKAI professional M.I. */
#define	USB_VENDOR_ARESCOM	0x09f5		/* ARESCOM */
#define	USB_VENDOR_BAY	0x09f9		/* Bay Associates */
#define	USB_VENDOR_ALTERA	0x09fb		/* Altera */
#define	USB_VENDOR_CSR	0x0a12		/* Cambridge Silicon Radio */
#define	USB_VENDOR_TREK	0x0a16		/* Trek Technology */
#define	USB_VENDOR_ASAHIOPTICAL	0x0a17		/* Asahi Optical */
#define	USB_VENDOR_BOCASYSTEMS	0x0a43		/* Boca Systems */
#define	USB_VENDOR_SHANTOU	0x0a46		/* ShanTou */
#define	USB_VENDOR_BROADCOM	0x0a5c		/* Broadcom */
#define	USB_VENDOR_GREENHOUSE	0x0a6b		/* GREENHOUSE */
#define	USB_VENDOR_GEOCAST	0x0a79		/* Geocast Network Systems */
#define	USB_VENDOR_IDQUANTIQUE	0x0aba		/* id Quantique */
#define	USB_VENDOR_ZYDAS	0x0ace		/* ZyDAS Technology */
#define	USB_VENDOR_NEODIO	0x0aec		/* Neodio */
#define	USB_VENDOR_OPTION	0x0af0		/* Option */
#define	USB_VENDOR_TODOS	0x0b0c		/* Todos Data System */
#define	USB_VENDOR_ASUS	0x0b05		/* ASUS */
#define	USB_VENDOR_SIIG2	0x0b39		/* SIIG */
#define	USB_VENDOR_TEKRAM	0x0b3b		/* Tekram Technology */
#define	USB_VENDOR_HAL	0x0b41		/* HAL Corporation */
#define	USB_VENDOR_NEC2	0x0b62		/* NEC */
#define	USB_VENDOR_ATI2	0x0b6f		/* ATI */
#define	USB_VENDOR_KURUSUGAWA	0x0b7e		/* Kurusugawa Electronics */
#define	USB_VENDOR_ASIX	0x0b95		/* ASIX Electronics */
#define	USB_VENDOR_USR	0x0baf		/* U.S. Robotics */
#define	USB_VENDOR_AMBIT	0x0bb2		/* Ambit Microsystems */
#define	USB_VENDOR_REALTEK	0x0bda		/* Realtek */
#define	USB_VENDOR_ADDONICS2	0x0bf6		/* Addonics Technology */
#define	USB_VENDOR_AGATE	0x0c08		/* Agate Technologies */
#define	USB_VENDOR_DMI	0x0c0b		/* DMI */
#define	USB_VENDOR_MICRODIA	0x0c45		/* Microdia */
#define	USB_VENDOR_SEALEVEL	0x0c52		/* Sealevel System */
#define	USB_VENDOR_EASYDISK	0x0c76		/* EasyDisk */
#define	USB_VENDOR_KYOCERA2	0x0c88		/* Kyocera */
#define	USB_VENDOR_ZCOM	0x0cde		/* Z-Com */
#define	USB_VENDOR_ATHEROS2	0x0cf3		/* Atheros Communications */
#define	USB_VENDOR_TANGTOP	0x0d3d		/* Tangtop */
#define	USB_VENDOR_SMC3	0x0d5c		/* SMC */
#define	USB_VENDOR_PEN	0x0d7d		/* Pen Drive */
#define	USB_VENDOR_ABC	0x0d8c		/* ABC */
#define	USB_VENDOR_CONCEPTRONIC	0x0d8e		/* Conceptronic */
#define	USB_VENDOR_MSI	0x0db0		/* Micro Star International */
#define	USB_VENDOR_ELCON	0x0db7		/* ELCON Systemtechnik */
#define	USB_VENDOR_SITECOMEU	0x0df6		/* Sitecom Europe */
#define	USB_VENDOR_MOBILEACTION	0x0df7		/* Mobile Action */
#define	USB_VENDOR_SPEEDDRAGON	0x0e55		/* Speed Dragon Multimedia */
#define	USB_VENDOR_HAWKING	0x0e66		/* Hawking */
#define	USB_VENDOR_GMATE	0x0e7e		/* G.Mate */
#define	USB_VENDOR_OTI	0x0ea0		/* Ours Technology */
#define	USB_VENDOR_PILOTECH	0x0eaf		/* Pilotech */
#define	USB_VENDOR_NOVATECH	0x0eb0		/* Nova Tech */
#define	USB_VENDOR_EGALAX	0x0eef		/* eGalax */
#define	USB_VENDOR_ITEGNO	0x0eba		/* iTegno */
#define	USB_VENDOR_AIRPRIME	0x0f3d		/* Airprime */
#define	USB_VENDOR_VTECH	0x0f88		/* VTech */
#define	USB_VENDOR_FALCOM	0x0f94		/* Falcom Wireless Communications GmbH */
#define	USB_VENDOR_RIM	0x0fca		/* Research In Motion */
#define	USB_VENDOR_DYNASTREAM	0x0fcf		/* Dynastream Innovations */
#define	USB_VENDOR_QUALCOMM2	0x1004		/* Qualcomm */
#define	USB_VENDOR_GIGABYTE	0x1044		/* GIGABYTE */
#define	USB_VENDOR_MOTOROLA	0x1063		/* Motorola */
#define	USB_VENDOR_CCYU	0x1065		/* CCYU Technology */
#define	USB_VENDOR_AUDIOVOX	0x106c		/* Audiovox */
#define	USB_VENDOR_SILABS2	0x10a6		/* SILABS2 */
#define	USB_VENDOR_USI	0x10ab		/* USI */
#define	USB_VENDOR_PLX	0x10b5		/* PLX */
#define	USB_VENDOR_ASANTE	0x10bd		/* Asante */
#define	USB_VENDOR_SILABS	0x10c4		/* Silicon Labs */
#define	USB_VENDOR_ANALOG	0x1110		/* Analog Devices */
#define	USB_VENDOR_TENX	0x1130		/* Ten X Technology, Inc. */
#define	USB_VENDOR_ISSC	0x1131		/* Integrated System Solution Corp. */
#define	USB_VENDOR_JRC	0x1145		/* Japan Radio Company */
#define	USB_VENDOR_SPHAIRON	0x114b		/* Sphairon Access Systems GmbH */
#define	USB_VENDOR_DELORME	0x1163		/* DeLorme */
#define	USB_VENDOR_SERVERWORKS	0x1166		/* ServerWorks */
#define	USB_VENDOR_ACERCM	0x1189		/* Acer Communications & Multimedia */
#define	USB_VENDOR_SIERRA	0x1199		/* Sierra Wireless */
#define	USB_VENDOR_SIEMENS3	0x11f5		/* Siemens */
#define	USB_VENDOR_ALCATEL	0x11f7		/* Alcatel */
#define	USB_VENDOR_UNKNOWN3	0x1233		/* Unknown vendor */
#define	USB_VENDOR_TSUNAMI	0x1241		/* Tsunami */
#define	USB_VENDOR_PHEENET	0x124a		/* Pheenet */
#define	USB_VENDOR_RAPTORGAMING	0x1267		/* Raptor Gaming */
#define	USB_VENDOR_TWINMOS	0x126f		/* TwinMOS */
#define	USB_VENDOR_TENDA	0x1286		/* Tenda */
#define	USB_VENDOR_BELKIN2	0x1293		/* Belkin Components */
#define	USB_VENDOR_CYBERTAN	0x129b		/* CyberTAN Technology */
#define	USB_VENDOR_HUAWEI	0x12d1		/* HUAWEI Technologies */
#define	USB_VENDOR_ARANEUS	0x12d8		/* Araneus Information Systems */
#define	USB_VENDOR_TAPWAVE	0x12ef		/* Tapwave */
#define	USB_VENDOR_AINCOMM	0x12fd		/* Aincomm */
#define	USB_VENDOR_MOBILITY	0x1342		/* Mobility */
#define	USB_VENDOR_DICKSMITH	0x1371		/* Dick Smith Electronics */
#define	USB_VENDOR_NETGEAR3	0x1385		/* Netgear */
#define	USB_VENDOR_BALTECH	0x13ad		/* Baltech */
#define	USB_VENDOR_CISCOLINKSYS	0x13b1		/* Cisco-Linksys */
#define	USB_VENDOR_SHARK	0x13d2		/* Shark */
#define	USB_VENDOR_NOVATEL	0x1410		/* Novatel Wireless */
#define	USB_VENDOR_WISTRONNEWEB	0x1435		/* Wistron NeWeb */
#define	USB_VENDOR_RADIOSHACK	0x1453		/* Radio Shack */
#define	USB_VENDOR_HUAWEI3COM	0x1472		/* Huawei 3Com */
#define	USB_VENDOR_SILICOM	0x1485		/* Silicom */
#define	USB_VENDOR_RALINK	0x148f		/* Ralink Technology */
#define	USB_VENDOR_CONCEPTRONIC2	0x14b2		/* Conceptronic */
#define	USB_VENDOR_PLANEX3	0x14ea		/* Planex Communications */
#define	USB_VENDOR_SILICONPORTALS	0x1527		/* Silicon Portals */
#define	USB_VENDOR_UBLOX	0x1546		/* U-blox */
#define	USB_VENDOR_OQO	0x1557		/* OQO */
#define	USB_VENDOR_UMEDIA	0x157e		/* U-MEDIA Communications */
#define	USB_VENDOR_FIBERLINE	0x1582		/* Fiberline */
#define	USB_VENDOR_SOHOWARE	0x15e8		/* SOHOware */
#define	USB_VENDOR_UMAX	0x1606		/* UMAX Data Systems */
#define	USB_VENDOR_INSIDEOUT	0x1608		/* Inside Out Networks */
#define	USB_VENDOR_GOODWAY	0x1631		/* Good Way Technology */
#define	USB_VENDOR_ENTREGA	0x1645		/* Entrega */
#define	USB_VENDOR_ACTIONTEC	0x1668		/* Actiontec Electronics */
#define	USB_VENDOR_ATHEROS	0x168c		/* Atheros Communications */
#define	USB_VENDOR_GIGASET	0x1690		/* Gigaset */
#define	USB_VENDOR_GLOBALSUN	0x16ab		/* Global Sun Technology */
#define	USB_VENDOR_ANYDATA	0x16d5		/* AnyDATA Inc. */
#define	USB_VENDOR_JABLOTRON	0x16d6		/* Jablotron */
#define	USB_VENDOR_CMOTECH	0x16d8		/* CMOTECH CDMA Technologies */
#define	USB_VENDOR_LINKSYS4	0x1737		/* Linksys */
#define	USB_VENDOR_SENAO	0x1740		/* Senao */
#define	USB_VENDOR_METAGEEK	0x1781		/* MetaGeek */
#define	USB_VENDOR_AMIT	0x18c5		/* AMIT */
#define	USB_VENDOR_QCOM	0x18e8		/* Qcom */
#define	USB_VENDOR_LINKSYS3	0x1915		/* Linksys */
#define	USB_VENDOR_DLINK	0x2001		/* D-Link */
#define	USB_VENDOR_PLANEX2	0x2019		/* Planex Communications */
#define	USB_VENDOR_MOTOROLA2	0x22b8		/* Motorola */
#define	USB_VENDOR_TRIPPLITE	0x2478		/* Tripp-Lite */
#define	USB_VENDOR_NHJ	0x2770		/* NHJ */
#define	USB_VENDOR_ASUSTEK	0x2821		/* ASUSTeK Computer */
#define	USB_VENDOR_PLANEX	0x2c02		/* Planex Communications */
#define	USB_VENDOR_AEI	0x3334		/* AEI */
#define	USB_VENDOR_PQI	0x3538		/* PQI */
#define	USB_VENDOR_DAISY	0x3579		/* Daisy Technology */
#define	USB_VENDOR_NI	0x3923		/* National Instruments */
#define	USB_VENDOR_MICRONET	0x3980		/* Micronet Communications */
#define	USB_VENDOR_IODATA2	0x40bb		/* I-O Data */
#define	USB_VENDOR_IRIVER	0x4102		/* iRiver */
#define	USB_VENDOR_DELL	0x413c		/* Dell */
#define	USB_VENDOR_WCH	0x4348		/* QinHeng Electronics */
#define	USB_VENDOR_ACEECA	0x4766		/* Aceeca */
#define	USB_VENDOR_AVERATEC	0x50c2		/* Averatec */
#define	USB_VENDOR_SWEEX	0x5173		/* Sweex */
#define	USB_VENDOR_PROLIFIC2	0x5372		/* Prolific Technology */
#define	USB_VENDOR_ONSPEC2	0x55aa		/* OnSpec */
#define	USB_VENDOR_ZINWELL	0x5a57		/* Zinwell */
#define	USB_VENDOR_SITECOM	0x6189		/* Sitecom */
#define	USB_VENDOR_3COM2	0x6891		/* 3Com */
#define	USB_VENDOR_INTEL	0x8086		/* Intel */
#define	USB_VENDOR_SITECOM2	0x9016		/* Sitecom */
#define	USB_VENDOR_MOSCHIP	0x9710		/* MosChip */
#define	USB_VENDOR_3COM3	0xa727		/* 3Com */
#define	USB_VENDOR_HP2	0xf003		/* Hewlett Packard */

/*
 * List of known products.  Grouped by vendor.
 */

/* 3Com products */
#define	USB_PRODUCT_3COM_HOMECONN	0x009d		/* HomeConnect */
#define	USB_PRODUCT_3COM_3CREB96	0x00a0		/* Bluetooth */
#define	USB_PRODUCT_3COM_3C19250	0x03e8		/* 3C19250 Ethernet */
#define	USB_PRODUCT_3COM_3CRSHEW696	0x0a01		/* 3CRSHEW696 */
#define	USB_PRODUCT_3COM_3C460	0x11f8		/* HomeConnect 3C460 */
#define	USB_PRODUCT_3COM_USR56K	0x3021		/* U.S.Robotics 56000 */
#define	USB_PRODUCT_3COM_3C460B	0x4601		/* HomeConnect 3C460B */
#define	USB_PRODUCT_3COM3_AR5523_1	0x6893		/* AR5523 */
#define	USB_PRODUCT_3COM3_AR5523_2	0x6895		/* AR5523 */
#define	USB_PRODUCT_3COM3_AR5523_3	0x6897		/* AR5523 */
#define	USB_PRODUCT_3COM2_3CRUSB10075	0xa727		/* 3CRUSB10075 */

#define	USB_PRODUCT_3COMUSR_OFFICECONN	0x0082		/* 3Com OfficeConnect Analog Modem */
#define	USB_PRODUCT_3COMUSR_USRISDN	0x008f		/* 3Com U.S. Robotics Pro ISDN TA */
#define	USB_PRODUCT_3COMUSR_HOMECONN	0x009d		/* 3Com HomeConnect */
#define	USB_PRODUCT_3COMUSR_USR56K	0x3021		/* U.S.Robotics 56000 */

#define	USB_PRODUCT_HUAWEI3COM_WUB320G	0x0009		/* Aolynk WUB320g */

/* AboCom products */
#define	USB_PRODUCT_ABOCOM_XX1	0x110c		/* XX1 */
#define	USB_PRODUCT_ABOCOM_XX2	0x200c		/* XX2 */
#define	USB_PRODUCT_ABOCOM_URE450	0x4000		/* URE450 Ethernet */
#define	USB_PRODUCT_ABOCOM_UFE1000	0x4002		/* UFE1000 Fast Ethernet */
#define	USB_PRODUCT_ABOCOM_DSB650TX_PNA	0x4003		/* 1/10/100 ethernet */
#define	USB_PRODUCT_ABOCOM_XX4	0x4004		/* XX4 */
#define	USB_PRODUCT_ABOCOM_XX5	0x4007		/* XX5 */
#define	USB_PRODUCT_ABOCOM_XX6	0x400b		/* XX6 */
#define	USB_PRODUCT_ABOCOM_RTL8151	0x401a		/* RTL8151 */
#define	USB_PRODUCT_ABOCOM_XX7	0x400c		/* XX7 */
#define	USB_PRODUCT_ABOCOM_XX8	0x4102		/* XX8 */
#define	USB_PRODUCT_ABOCOM_XX9	0x4104		/* XX9 */
#define	USB_PRODUCT_ABOCOM_WL54	0x6001		/* WL54 */
#define	USB_PRODUCT_ABOCOM_XX10	0xabc1		/* XX10 */
#define	USB_PRODUCT_ABOCOM_BWU613	0xb000		/* BWU613 */
#define	USB_PRODUCT_ABOCOM_HWU54DM	0xb21b		/* HWU54DM */
#define	USB_PRODUCT_ABOCOM_RT2573_2	0xb21c		/* RT2573 */
#define	USB_PRODUCT_ABOCOM_RT2573_3	0xb21d		/* RT2573 */
#define	USB_PRODUCT_ABOCOM_RT2573_4	0xb21e		/* RT2573 */
#define	USB_PRODUCT_ABOCOM_WUG2700	0xb21f		/* WUG2700 */

/* Accton products */
#define	USB_PRODUCT_ACCTON_USB320_EC	0x1046		/* USB320-EC Ethernet */
#define	USB_PRODUCT_ACCTON_2664W	0x3501		/* 2664W */
#define	USB_PRODUCT_ACCTON_111	0x3503		/* T-Sinus 111 WLAN */
#define	USB_PRODUCT_ACCTON_SMCWUSBG	0x4505		/* SMCWUSB-G */
#define	USB_PRODUCT_ACCTON_SS1001	0x5046		/* SpeedStream Ethernet */
#define	USB_PRODUCT_ACCTON_ZD1211B	0xe501		/* ZD1211B */

/* Aceeca products */
#define	USB_PRODUCT_ACEECA_MEZ1000	0x0001		/* MEZ1000 RDA */

/* Acer Labs products */
#define	USB_PRODUCT_ACERLABS_M5632	0x5632		/* USB 2.0 Data Link */

/* Acer Products */
#define	USB_PRODUCT_ACERW_WARPLINK	0x0204		/* Warplink */

/* Acer Peripherals, Inc. products */
#define	USB_PRODUCT_ACERP_ACERSCAN_C310U	0x12a6		/* Acerscan C310U */
#define	USB_PRODUCT_ACERP_ACERSCAN_320U	0x2022		/* Acerscan 320U */
#define	USB_PRODUCT_ACERP_ACERSCAN_640U	0x2040		/* Acerscan 640U */
#define	USB_PRODUCT_ACERP_ACERSCAN_620U	0x2060		/* Acerscan 620U */
#define	USB_PRODUCT_ACERP_ATAPI	0x6003		/* ATA/ATAPI */
#define	USB_PRODUCT_ACERP_AWL300	0x9000		/* AWL300 */
#define	USB_PRODUCT_ACERP_AWL400	0x9001		/* AWL400 */

/* Actiontec products */
#define	USB_PRODUCT_ACTIONTEC_PRISM_25	0x0408		/* Prism2.5 WLAN */
#define	USB_PRODUCT_ACTIONTEC_PRISM_25A	0x0421		/* Prism2.5 WLAN A */
#define	USB_PRODUCT_ACTIONTEC_FREELAN	0x6106		/* ROPEX FreeLan 802.11b */
#define	USB_PRODUCT_ACTIONTEC_802UAT1	0x7605		/* 802UAT1 */

/* ACTiSYS products */
#define	USB_PRODUCT_ACTISYS_IR2000U	0x0011		/* ACT-IR2000U FIR */

/* Topre Corporation products */
#define	USB_PRODUCT_TOPRE_HHKB	0x0100		/* HHKB Professional */

/* ActiveWire, Inc. products */
#define	USB_PRODUCT_ACTIVEWIRE_IOBOARD	0x0100		/* I/O Board */
#define	USB_PRODUCT_ACTIVEWIRE_IOBOARD_FW1	0x0101		/* I/O Board, rev. 1 */

/* Adaptec products */
#define	USB_PRODUCT_ADAPTEC_AWN8020	0x0020		/* AWN-8020 WLAN */

/* Addonics products */
#define	USB_PRODUCT_ADDONICS2_205	0xa001		/* Cable 205 */

/* Addtron products */
#define	USB_PRODUCT_ADDTRON_AWU120	0xff31		/* AWU-120 */

/* ADMtek products */
#define	USB_PRODUCT_ADMTEK_PEGASUSII_4	0x07c2		/* AN986A Ethernet */
#define	USB_PRODUCT_ADMTEK_PEGASUS	0x0986		/* AN986 Ethernet */
#define	USB_PRODUCT_ADMTEK_PEGASUSII	0x8511		/* AN8511 Ethernet */
#define	USB_PRODUCT_ADMTEK_PEGASUSII_2	0x8513		/* AN8513 Ethernet */
#define	USB_PRODUCT_ADMTEK_PEGASUSII_3	0x8515		/* AN8515 Ethernet */

/* ADS products */
#define	USB_PRODUCT_ADS_UBS10BT	0x0008		/* UBS-10BT Ethernet */
#define	USB_PRODUCT_ADS_UBS10BTX	0x0009		/* UBS-10BT Ethernet */

/* AEI products */
#define	USB_PRODUCT_AEI_FASTETHERNET	0x1701		/* Fast Ethernet */

/* Agate Technologies products */
#define	USB_PRODUCT_AGATE_QDRIVE	0x0378		/* Q-Drive */

/* AGFA products */
#define	USB_PRODUCT_AGFA_SNAPSCAN1212U	0x0001		/* SnapScan 1212U */
#define	USB_PRODUCT_AGFA_SNAPSCAN1236U	0x0002		/* SnapScan 1236U */
#define	USB_PRODUCT_AGFA_SNAPSCANTOUCH	0x0100		/* SnapScan Touch */
#define	USB_PRODUCT_AGFA_SNAPSCAN1212U2	0x2061		/* SnapScan 1212U */
#define	USB_PRODUCT_AGFA_SNAPSCANE40	0x208d		/* SnapScan e40 */
#define	USB_PRODUCT_AGFA_SNAPSCANE50	0x208f		/* SnapScan e50 */
#define	USB_PRODUCT_AGFA_SNAPSCANE20	0x2091		/* SnapScan e20 */
#define	USB_PRODUCT_AGFA_SNAPSCANE25	0x2095		/* SnapScan e25 */
#define	USB_PRODUCT_AGFA_SNAPSCANE26	0x2097		/* SnapScan e26 */
#define	USB_PRODUCT_AGFA_SNAPSCANE52	0x20fd		/* SnapScan e52 */

/* Airprime, Inc. products */
#define	USB_PRODUCT_AIRPRIME_PC5220	0x0112		/* AirPrime CDMA Wireless EVDO card */
  
/* Aincomm products */
#define	USB_PRODUCT_AINCOMM_AWU2000B	0x1001		/* AWU2000B */

/* AirVast Technology products */
#define	USB_PRODUCT_PHEENET_WM168B	0x168b		/* WM-168b */

/* AKS products */
#define	USB_PRODUCT_AKS_USBHASP	0x0001		/* USB-HASP 0.06 */

/* Alcatel products */
#define	USB_PRODUCT_ALCATEL_OT535	0x02df		/* One Touch 535/735 */

/* Alcatel Telecom products */
#define	USB_PRODUCT_ALCATELT_ST120G	0x0120		/* SpeedTouch 120g */

/* Alcor Micro, Inc. products */
#define	USB_PRODUCT_ALCOR2_KBD_HUB	0x2802		/* Kbd Hub */

#define	USB_PRODUCT_ALCOR_MA_KBD_HUB	0x9213		/* MacAlly Kbd Hub */
#define	USB_PRODUCT_ALCOR_AU9814	0x9215		/* AU9814 Hub */
#define	USB_PRODUCT_ALCOR_SM_KBD	0x9410		/* MicroConnectors/StrongMan */
#define	USB_PRODUCT_ALCOR_NEC_KBD_HUB	0x9472		/* NEC Kbd Hub */

/* Allied Telesyn International products */
#define	USB_PRODUCT_ALLIEDTELESYN_ATUSB100	0xb100		/* AT-USB100 */

/* Altec Lansing products */
#define	USB_PRODUCT_ALTEC_ADA70	0x0070		/* ADA70 Speakers */
#define	USB_PRODUCT_ALTEC_ASC495	0xff05		/* ASC495 Speakers */

/* Ambit Microsystems products */
#define	USB_PRODUCT_AMBIT_WLAN	0x0302		/* WLAN */
#define	USB_PRODUCT_AMBIT_NTL_250	0x6098		/* NTL 250 cable modem */

/* American Power Conversion products */
#define	USB_PRODUCT_APC_UPSPRO500	0x0002		/* Back-UPS Pro 500 */

/* AMIT products */
#define	USB_PRODUCT_AMIT_CGWLUSB2GO	0x0002		/* CG-WLUSB2GO */

/* Analog Devices, Inc. products */
#define	USB_PRODUCT_ANALOG_EAGLEI	0x900f		/* Eagle I */
#define	USB_PRODUCT_ANALOG_EAGLEI_NF	0x9010		/* Eagle I */
#define	USB_PRODUCT_ANALOG_EAGLEII	0x9021		/* Eagle II */
#define	USB_PRODUCT_ANALOG_EAGLEII_NF	0x9022		/* Eagle II */
#define	USB_PRODUCT_ANALOG_EAGLEIIC	0x9023		/* Eagle IIC */
#define	USB_PRODUCT_ANALOG_EAGLEIIC_NF	0x9024		/* Eagle IIC */
#define	USB_PRODUCT_ANALOG_EAGLEIII	0x9031		/* Eagle III */
#define	USB_PRODUCT_ANALOG_EAGLEIII_NF	0x9032		/* Eagle III */

/* Anchor products */
#define	USB_PRODUCT_ANCHOR_SERIAL	0x2008		/* Serial */
#define	USB_PRODUCT_ANCHOR_EZUSB	0x2131		/* EZUSB */
#define	USB_PRODUCT_ANCHOR_EZLINK	0x2720		/* EZLINK */

/* Anydata products */
#define	USB_PRODUCT_ANYDATA_ADU_E100H	0x6501		/* ADU-E100H */

/* AOX, Inc. products */
#define	USB_PRODUCT_AOX_USB101	0x0008		/* Ethernet */

/* Apple Computer products */
#define	USB_PRODUCT_APPLE_OPTMOUSE	0x0302		/* Optical mouse */
#define	USB_PRODUCT_APPLE_ADB	0x1000		/* ADB device */
#define	USB_PRODUCT_APPLE_SPEAKERS	0x1101		/* Speakers */

/* Araneus Information Systems products */
#define	USB_PRODUCT_ARANEUS_ALEA	0x0001		/* True Random Number Generator */

/* Arkmicro products */
#define	USB_PRODUCT_ARKMICRO_ARK3116	0x0232		/* ARK3116 Serial */

/* Asahi Optical products */
#define	USB_PRODUCT_ASAHIOPTICAL_OPTIO230	0x0004		/* PENTAX Optio230 */

/* Asante products */
#define	USB_PRODUCT_ASANTE_EA	0x1427		/* Ethernet */

/* Askey Computer products */
#define	USB_PRODUCT_ASKEY_WLL013I	0x0320		/* WLL013 (Intersil) */
#define	USB_PRODUCT_ASKEY_WLL013	0x0321		/* WLL013 */
#define	USB_PRODUCT_ASKEY_VOYAGER1010	0x0821		/* Voyager 1010 */

/* ASIX Electronics products */
#define	USB_PRODUCT_ASIX_AX88172	0x1720		/* USB 2.0 10/100 ethernet controller */
#define	USB_PRODUCT_ASIX_AX88178	0x1780		/* AX88178 */
#define	USB_PRODUCT_ASIX_AX88772	0x7720		/* AX88772 */

/* ASUS products */
#define	USB_PRODUCT_ASUS_RT2570	0x1706		/* RT2570 */
#define	USB_PRODUCT_ASUS_RT2570_2	0x1707		/* RT2570 */
#define	USB_PRODUCT_ASUS_RT2573_1	0x1723		/* RT2573 */
#define	USB_PRODUCT_ASUS_RT2573_2	0x1724		/* RT2573 */
#define	USB_PRODUCT_ASUS_WL159G	0x170c		/* WL-159g */
#define	USB_PRODUCT_ASUS_MYPAL_A730	0x4202		/* MyPal A730 */
#define	USB_PRODUCT_ASUS_A9T_WIFI	0x171b		/* A9T wireless */

/* ASUSTeK Computer products */
#define	USB_PRODUCT_ASUSTEK_WL140	0x3300		/* WL-140 */

/* ATen products */
#define	USB_PRODUCT_ATEN_UC1284	0x2001		/* Parallel */
#define	USB_PRODUCT_ATEN_UC10T	0x2002		/* 10Mbps Ethernet */
#define	USB_PRODUCT_ATEN_UC110T	0x2007		/* UC-110T Ethernet */
#define	USB_PRODUCT_ATEN_UC232A	0x2008		/* Serial */
#define	USB_PRODUCT_ATEN_UC210T	0x2009		/* UC210T Ethernet */
#define	USB_PRODUCT_ATEN_DSB650C	0x4000		/* DSB-650C */

/* Atheros Communications products */
#define	USB_PRODUCT_ATHEROS_AR5523	0x0001		/* AR5523 */
#define	USB_PRODUCT_ATHEROS_AR5523_NF	0x0002		/* AR5523 */
#define	USB_PRODUCT_ATHEROS2_AR5523_1	0x0001		/* AR5523 */
#define	USB_PRODUCT_ATHEROS2_AR5523_1_NF	0x0002		/* AR5523 */
#define	USB_PRODUCT_ATHEROS2_AR5523_2	0x0003		/* AR5523 */
#define	USB_PRODUCT_ATHEROS2_AR5523_2_NF	0x0004		/* AR5523 */
#define	USB_PRODUCT_ATHEROS2_AR5523_3	0x0005		/* AR5523 */
#define	USB_PRODUCT_ATHEROS2_AR5523_3_NF	0x0006		/* AR5523 */

/* ATI products */
#define	USB_PRODUCT_ATI2_205	0xa001		/* USB Cable 205 */

/* Atmel Comp. products */
#define	USB_PRODUCT_ATMEL_UHB124	0x3301		/* UHB124 hub */
#define	USB_PRODUCT_ATMEL_WN210	0x3301		/* W-Buddie WN210 */
#define	USB_PRODUCT_ATMEL_DWL900AP	0x5601		/* DWL-900AP Wireless access point */
#define	USB_PRODUCT_ATMEL_AT76C503I1	0x7603		/* AT76C503 (Intersil 3861 Radio) */
#define	USB_PRODUCT_ATMEL_AT76C503I2	0x7604		/* AT76C503 (Intersil 3863 Radio) */
#define	USB_PRODUCT_ATMEL_AT76C503RFMD	0x7605		/* AT76C503 (RFMD Radio) */
#define	USB_PRODUCT_ATMEL_AT76C505RFMD	0x7606		/* AT76C505 (RFMD Radio) */
#define	USB_PRODUCT_ATMEL_AT76C505RFMD2958	0x7613		/* AT76C505 (RFMD 2958 Radio) */
#define	USB_PRODUCT_ATMEL_AT76C505A	0x7614		/* AT76C505A (RFMD 2958 Radio) */
#define	USB_PRODUCT_ATMEL_AT76C505AS	0x7617		/* AT76C505AS (RFMD 2958 Radio) */

/* Audio-Technica products */
#define	USB_PRODUCT_AUDIOTECHNICA_ATCHA4USB	0x0009		/* ATC-HA4USB USB headphone */

/* Audiovox products */
#define	USB_PRODUCT_AUDIOVOX_PC5740	0x3701		/* PC5740 EVDO */

/* Avance Logic products */
#define	USB_PRODUCT_AVANCELOGIC_USBAUDIO	0x0100		/* USB Audio Speaker */

/* Averatec products */
#define	USB_PRODUCT_AVERATEC_USBWLAN	0x4013		/* WLAN */

/* Avision products */
#define	USB_PRODUCT_AVISION_1200U	0x0268		/* 1200U */

/* B&B Electronics products */
#define	USB_PRODUCT_BBELECTRONICS_USOTL4	0xAC01		/* uLinks RS-422/485 */

/* Baltech products */
#define	USB_PRODUCT_BALTECH_CARDREADER	0x9999		/* Card reader */

/* Belkin products */
/*product BELKIN F5U111		0x????	F5U111 Ethernet */
#define	USB_PRODUCT_BELKIN2_F5U002	0x0002		/* F5U002 Parallel */
#define	USB_PRODUCT_BELKIN_F5D6050	0x0050		/* F5D6050 802.11b Wireless adapter */
#define	USB_PRODUCT_BELKIN_FBT001V	0x0081		/* FBT001v2 Bluetooth */
#define	USB_PRODUCT_BELKIN_FBT003V	0x0084		/* FBT003v2 Bluetooth */
#define	USB_PRODUCT_BELKIN_F5U103	0x0103		/* F5U103 Serial */
#define	USB_PRODUCT_BELKIN_F5U109	0x0109		/* F5U109 Serial */
#define	USB_PRODUCT_BELKIN_SCSI	0x0115		/* SCSI */
#define	USB_PRODUCT_BELKIN_F5D5050	0x0121		/* F5D5050 Ethernet */
#define	USB_PRODUCT_BELKIN_F5U237	0x0237		/* F5U237 USB 2.0 7-Port Hub */
#define	USB_PRODUCT_BELKIN_F5U257	0x0257		/* F5U257 Serial */
#define	USB_PRODUCT_BELKIN_F5U409	0x0409		/* F5U409 Serial */
#define	USB_PRODUCT_BELKIN_F6C550AVR	0x0551		/* F6C550-AVR UPS */
#define	USB_PRODUCT_BELKIN_F5U120	0x1203		/* F5U120-PC Hub */
#define	USB_PRODUCT_BELKIN_ZD1211B	0x4050		/* ZD1211B */
#define	USB_PRODUCT_BELKIN_F5D5055	0x5055		/* F5D5055 */
#define	USB_PRODUCT_BELKIN_F5D7050	0x7050		/* F5D7050 54g USB Network Adapter */
#define	USB_PRODUCT_BELKIN_F5D7050A	0x705a		/* F5D705A 54g USB Network Adapter */
#define	USB_PRODUCT_BELKIN_F5D7050C	0x705c		/* F5D705C 54g USB Network Adapter */
#define	USB_PRODUCT_BELKIN_F5D9050V3	0x905b		/* F5D9050 ver 3 */

/* Billionton products */
#define	USB_PRODUCT_BILLIONTON_USB100	0x0986		/* USB100N 10/100 Ethernet */
#define	USB_PRODUCT_BILLIONTON_USBLP100	0x0987		/* USB100LP */
#define	USB_PRODUCT_BILLIONTON_USBEL100	0x0988		/* USB100EL */
#define	USB_PRODUCT_BILLIONTON_USBE100	0x8511		/* USBE100 */
#define	USB_PRODUCT_BILLIONTON_USB2AR	0x90ff		/* USB2AR Ethernet */

/* Broadcom products */
#define	USB_PRODUCT_BROADCOM_BCM2033	0x2000		/* BCM2033 */
#define	USB_PRODUCT_BROADCOM_BCM2033NF	0x2033		/* BCM2033 (no fw) */

/* Brother Industries products */
#define	USB_PRODUCT_BROTHER_HL1050	0x0002		/* HL-1050 laser printer */
#define	USB_PRODUCT_BROTHER_MFC210C	0x0161		/* MFC 210C */

/* Behavior Technology Computer products */
#define	USB_PRODUCT_BTC_BTC7932	0x6782		/* Keyboard/Mouse */

/* Bernd Walter Computer Technology products */
#define	USB_PRODUCT_BWCT_6CHCONSER	0x0001		/* 6ch ConSer */

/* Canon, Inc. products */
#define	USB_PRODUCT_CANON_N656U	0x2206		/* CANOSCAN N656U */
#define	USB_PRODUCT_CANON_N1220U	0x2207		/* CANOSCAN N1220U */
#define	USB_PRODUCT_CANON_N670U	0x220d		/* CANOSCAN N670U */
#define	USB_PRODUCT_CANON_N1240U	0x220e		/* CANOSCAN N1240U */
#define	USB_PRODUCT_CANON_LIDE60	0x221c		/* CANOSCAN LiDE60 */
#define	USB_PRODUCT_CANON_S10	0x3041		/* PowerShot S10 */
#define	USB_PRODUCT_CANON_S20	0x3043		/* PowerShot S20 */
#define	USB_PRODUCT_CANON_S100_US	0x3045		/* PowerShot S100 */
#define	USB_PRODUCT_CANON_S100_EU	0x3047		/* PowerShot S100 */
#define	USB_PRODUCT_CANON_G1	0x3048		/* PowerShot G1 */
#define	USB_PRODUCT_CANON_A20	0x304e		/* PowerShot A20 */
#define	USB_PRODUCT_CANON_A540	0x311b		/* PowerShot A540 */

/* CATC products */
#define	USB_PRODUCT_CATC_NETMATE	0x000a		/* Netmate Ethernet */
#define	USB_PRODUCT_CATC_NETMATE2	0x000c		/* Netmate2 Ethernet */
#define	USB_PRODUCT_CATC_CHIEF	0x000d		/* USB Chief Bus & Protocol Analyzer */
#define	USB_PRODUCT_CATC_ANDROMEDA	0x1237		/* Andromeda hub */

/* CASIO products */
#define	USB_PRODUCT_CASIO_QV	0x1001		/* QV */
#define	USB_PRODUCT_CASIO_BE300	0x2002		/* BE-300 PDA */
#define	USB_PRODUCT_CASIO_NAMELAND	0x4001		/* CASIO Nameland EZ-USB */

/* CCYU Technology products */
#define	USB_PRODUCT_CCYU_EASYDISK	0x2136		/* EasyDisk Portable */

/* Cherry products */
#define	USB_PRODUCT_CHERRY_MY3000KBD	0x0001		/* My3000 keyboard */
#define	USB_PRODUCT_CHERRY_MY3000HUB	0x0003		/* My3000 hub */

/* Chic Technology products */
#define	USB_PRODUCT_CHIC_MOUSE1	0x0001		/* mouse */
#define	USB_PRODUCT_CHIC_CYPRESS	0x0003		/* Cypress */

/* Chicony products */
#define	USB_PRODUCT_CHICONY_KB8933	0x0001		/* KB-8933 keyboard */

/* CH Products */
#define	USB_PRODUCT_CHPRODUCTS_PROTHROTTLE	0x00f1		/* Pro Throttle */
#define	USB_PRODUCT_CHPRODUCTS_PROPEDALS	0x00f2		/* Pro Pedals */
#define	USB_PRODUCT_CHPRODUCTS_FIGHTERSTICK	0x00f3		/* Fighterstick */
#define	USB_PRODUCT_CHPRODUCTS_FLIGHTYOKE	0x00ff		/* Flight Sim Yoke */

/* Cisco-Linksys products */
#define	USB_PRODUCT_CISCOLINKSYS_WUSB54G	0x000d		/* RT2570 */
#define	USB_PRODUCT_CISCOLINKSYS_WUSB54GP	0x0011		/* RT2570 */
#define	USB_PRODUCT_CISCOLINKSYS_USB200MV2	0x0018		/* USB200M v2 */
#define	USB_PRODUCT_CISCOLINKSYS_WUSB54GC	0x0020		/* WUSB54GC */
#define	USB_PRODUCT_CISCOLINKSYS_WUSB54GR	0x0023		/* WUSB54GR */
#define	USB_PRODUCT_CISCOLINKSYS_WUSBF54G	0x0024		/* WUSBF54G */
#define	USB_PRODUCT_CISCOLINKSYS_HU200TS	0x001a		/* HU200-TS */

/* Compaq products */
#define	USB_PRODUCT_COMPAQ_IPAQPOCKETPC	0x0003		/* iPAQ PocketPC */
#define	USB_PRODUCT_COMPAQ_A1500	0x0012		/* A1500 */
#define	USB_PRODUCT_COMPAQ_IPAQWLAN	0x0032		/* iPAQ WLAN */
#define	USB_PRODUCT_COMPAQ_W100	0x0033		/* W100 */
#define	USB_PRODUCT_COMPAQ_W200	0x0076		/* WLAN MultiPort W200 */
#define	USB_PRODUCT_COMPAQ_PJB100	0x504a		/* Personal Jukebox PJB100 */
#define	USB_PRODUCT_COMPAQ_IPAQLINUX	0x505a		/* iPAQ Linux */

/* Billionton products */
#define	USB_PRODUCT_BILLIONTON_SNAPPORT	0x90ff		/* SnapPort Ethernet */

/* CMOTECH CDMA Technologies products */
#define	USB_PRODUCT_CMOTECH_CM5100P	0x5523		/* CM-5100P EVDO */

/* Conceptronic products */
#define	USB_PRODUCT_CONCEPTRONIC_C11U	0x7100		/* C11U */
#define	USB_PRODUCT_CONCEPTRONIC_WL210	0x7110		/* WL-210 */
#define	USB_PRODUCT_CONCEPTRONIC_AR5523_1	0x7801		/* AR5523 */
#define	USB_PRODUCT_CONCEPTRONIC_AR5523_1_NF	0x7802		/* AR5523 */
#define	USB_PRODUCT_CONCEPTRONIC_AR5523_2	0x7811		/* AR5523 */
#define	USB_PRODUCT_CONCEPTRONIC_AR5523_2_NF	0x7812		/* AR5523 */
#define	USB_PRODUCT_CONCEPTRONIC2_C54RU	0x3c02		/* C54RU WLAN */
#define	USB_PRODUCT_CONCEPTRONIC2_C54RU2	0x3c22		/* C54RU */

/* Concord Camera products */
#define	USB_PRODUCT_CONCORDCAMERA_EYE_Q_3X	0x0100		/* Eye Q 3x */

/* Connectix products */
#define	USB_PRODUCT_CONNECTIX_QUICKCAM	0x0001		/* QuickCam */

/* Corega products */
#define	USB_PRODUCT_COREGA_ETHER_USB_T	0x0001		/* Ether USB-T */
#define	USB_PRODUCT_COREGA_FETHER_USB_TX	0x0004		/* FEther USB-TX */
#define	USB_PRODUCT_COREGA_WLAN_USB_USB_11	0x000c		/* WirelessLAN USB-11 */
#define	USB_PRODUCT_COREGA_FETHER_USB_TXS	0x000d		/* FEther USB-TXS */
#define	USB_PRODUCT_COREGA_WLANUSB	0x0012		/* Wireless LAN Stick-11 */
#define	USB_PRODUCT_COREGA_FETHER_USB2_TX	0x0017		/* FEther USB2-TX */
#define	USB_PRODUCT_COREGA_WLUSB_11_KEY	0x001a		/* ULUSB-11 Key */
#define	USB_PRODUCT_COREGA_WLUSB_11_STICK	0x7613		/* WLAN USB Stick 11 */
#define	USB_PRODUCT_COREGA_FETHER_USB_TXC	0x9601		/* FEther USB-TXC */

/* Creative Labs products */
#define	USB_PRODUCT_CREATIVE_NOMAD_II	0x1002		/* Nomad II */
#define	USB_PRODUCT_CREATIVE_NOMAD_IIMG	0x4004		/* Nomad II MG */
#define	USB_PRODUCT_CREATIVE_NOMAD	0x4106		/* Nomad */
#define	USB_PRODUCT_CREATIVE2_VOIP_BLASTER	0x0258		/* Voip Blaster */

/* Cambridge Silicon Radio products */
#define	USB_PRODUCT_CSR_BLUETOOTH	0x0001		/* Bluetooth */
#define	USB_PRODUCT_CSR_BLUECORE	0x1000		/* BlueCore */

/* CTX products */
#define	USB_PRODUCT_CTX_EX1300	0x9999		/* Ex1300 hub */

/* CyberTAN Technology products */
#define	USB_PRODUCT_CYBERTAN_TG54USB	0x1666		/* TG54USB */

/* Cypress Semiconductor products */
#define	USB_PRODUCT_CYPRESS_MOUSE	0x0001		/* mouse */
#define	USB_PRODUCT_CYPRESS_THERMO	0x0002		/* thermometer */
#define	USB_PRODUCT_CYPRESS_KBDHUB	0x0101		/* Keyboard/Hub */
#define	USB_PRODUCT_CYPRESS_FMRADIO	0x1002		/* FM Radio */
#define	USB_PRODUCT_CYPRESS_USBRS232	0x5500		/* RS232 */
#define	USB_PRODUCT_CYPRESS_HUB2	0x6560		/* USB2 Hub */

/* Daisy Technology products */
#define	USB_PRODUCT_DAISY_DMC	0x6901		/* PhotoClip */

/* Dallas Semiconductor products */
#define	USB_PRODUCT_DALLAS_J6502	0x4201		/* J-6502 speakers */
#define	USB_PRODUCT_DALLAS_USB_FOB_IBUTTON	0x2490		/* USB-FOB/iBUTTON */

/* Davicom products */
#define	USB_PRODUCT_DAVICOM_DM9601	0x9601		/* DM9601 */
#define	USB_PRODUCT_DAVICOM_WK668	0x0668		/* HenTong WK-668 */

/* Dell products */
#define	USB_PRODUCT_DELL_AXIM	0x4005		/* Axim X51v */
#define	USB_PRODUCT_DELL_BC02	0x8000		/* BC02 Bluetooth */
#define	USB_PRODUCT_DELL_TM1180	0x8100		/* TrueMobile 1180 WLAN */
#define	USB_PRODUCT_DELL_BLUETOOTH350	0x8103		/* Bluetooth 350 */
#define	USB_PRODUCT_DELL_W5500	0x8115		/* W5500 HSDPA */

/* DeLorme products */
#define	USB_PRODUCT_DELORME_EMUSB	0x0100		/* Earthmate GPS */
#define	USB_PRODUCT_DELORME_EMLT20	0x0200		/* Earthmate LT20 */

/* Diamond products */
#define	USB_PRODUCT_DIAMOND_RIO500USB	0x0001		/* Rio 500 */

/* Dick Smith Electronics (really C-Net) products */
#define	USB_PRODUCT_DICKSMITH_WL200U	0x0002		/* WL-200U */
#define	USB_PRODUCT_DICKSMITH_CHUSB611G	0x0013		/* CHUSB 611G */
#define	USB_PRODUCT_DICKSMITH_WL240U	0x0014		/* WL-240U */
#define	USB_PRODUCT_DICKSMITH_XH1153	0x5743		/* XH1153 802.11b */
#define	USB_PRODUCT_DICKSMITH_RT2573	0x9022		/* RT2573 */
#define	USB_PRODUCT_DICKSMITH_CWD854F	0x9032		/* C-Net CWD-854 rev F */

/* Digi International products */
#define	USB_PRODUCT_DIGI_ACCELEPORT2	0x0002		/* AccelePort 2 */
#define	USB_PRODUCT_DIGI_ACCELEPORT4	0x0004		/* AccelePort 4 */
#define	USB_PRODUCT_DIGI_ACCELEPORT8	0x0008		/* AccelePort 8 */

/* Digital Stream Corp. products */
#define	USB_PRODUCT_DIGITALSTREAM_PS2	0x0001		/* PS/2 Active */

/* D-Link products */
/*product DLINK DSBS25		0x0100	DSB-S25 serial */
#define	USB_PRODUCT_DLINK_DUBE100	0x1a00		/* 10/100 ethernet */
#define	USB_PRODUCT_DLINK_DSB650TX4	0x200c		/* 10/100 ethernet */
#define	USB_PRODUCT_DLINK_DWL120E	0x3200		/* DWL-120 rev E */
#define	USB_PRODUCT_DLINK_DWL122	0x3700		/* DWL-122 */
#define	USB_PRODUCT_DLINK_DWLG120	0x3701		/* DWL-G120 */
#define	USB_PRODUCT_DLINK_DWL120F	0x3702		/* DWL-120 rev F */
#define	USB_PRODUCT_DLINK_DWLAG132	0x3a00		/* DWL-AG132 */
#define	USB_PRODUCT_DLINK_DWLAG132_NF	0x3a01		/* DWL-AG132 */
#define	USB_PRODUCT_DLINK_DWLG132	0x3a02		/* DWL-G132 */
#define	USB_PRODUCT_DLINK_DWLG132_NF	0x3a03		/* DWL-G132 */
#define	USB_PRODUCT_DLINK_DWLAG122	0x3a04		/* DWL-AG122 */
#define	USB_PRODUCT_DLINK_DWLAG122_NF	0x3a05		/* DWL-AG122 */
#define	USB_PRODUCT_DLINK_RT2570	0x3c00		/* RT2570 */
#define	USB_PRODUCT_DLINK2_DWLG122C1	0x3c03		/* DWL-G122 rev C1 */
#define	USB_PRODUCT_DLINK2_WUA1340	0x3c04		/* WUA-1340 */
#define	USB_PRODUCT_DLINK_DUBE100B1	0x3c05		/* DUB-E100 rev B1 */
#define	USB_PRODUCT_DLINK_DSB650C	0x4000		/* 10Mbps ethernet */
#define	USB_PRODUCT_DLINK_DSB650TX1	0x4001		/* 10/100 ethernet */
#define	USB_PRODUCT_DLINK_DSB650TX	0x4002		/* 10/100 ethernet */
#define	USB_PRODUCT_DLINK_DSB650TX_PNA	0x4003		/* 1/10/100 ethernet */
#define	USB_PRODUCT_DLINK_DSB650TX3	0x400b		/* 10/100 ethernet */
#define	USB_PRODUCT_DLINK_DSB650TX2	0x4102		/* 10/100 ethernet */
#define	USB_PRODUCT_DLINK_DSB650	0xabc1		/* 10/100 ethernet */

/* DMI products */
#define	USB_PRODUCT_DMI_SA2_0	0xb001		/* Storage Adapter */

/* DrayTek products */
#define	USB_PRODUCT_DRAYTEK_VIGOR550	0x0550		/* Vigor550 */
#define	USB_PRODUCT_DRAYTEK_VIGOR600	0x0600		/* Vigor600 */

/* Dynastream Innovations */
#define	USB_PRODUCT_DYNASTREAM_ANTDEVBOARD	0x1003		/* ANT dev board */

/* EasyDisk products */
#define	USB_PRODUCT_EASYDISK_EASYDISK	0x0005		/* Flash Disk */

/* eGalax Products */
#define	USB_PRODUCT_EGALAX_TPANEL	0x0001		/* Touch Panel */
#define	USB_PRODUCT_EGALAX_TPANEL2	0x0002		/* Touch Panel */
#define	USB_PRODUCT_EGALAX2_TPANEL	0x0001		/* Touch Panel */

/* Eicon Networks products */
#define	USB_PRODUCT_EICON_DIVA852	0x4905		/* Diva 852 ISDN TA */

/* EIZO products */
#define	USB_PRODUCT_EIZO_HUB	0x0000		/* hub */
#define	USB_PRODUCT_EIZO_MONITOR	0x0001		/* monitor */

/* ELCON Systemtechnik products */
#define	USB_PRODUCT_ELCON_PLAN	0x0002		/* Goldpfeil P-LAN */

/* Elecom products */
#define	USB_PRODUCT_ELECOM_MOUSE29UO	0x0002		/* 29UO */
#define	USB_PRODUCT_ELECOM_LDUSBTX0	0x200c		/* LD-USB/TX */
#define	USB_PRODUCT_ELECOM_LDUSBTX1	0x4002		/* LD-USB/TX */
#define	USB_PRODUCT_ELECOM_LDUSBLTX	0x4005		/* LD-USBL/TX */
#define	USB_PRODUCT_ELECOM_LDUSBTX2	0x400b		/* LD-USB/TX */
#define	USB_PRODUCT_ELECOM_LDUSB20	0x4010		/* LD-USB20 */
#define	USB_PRODUCT_ELECOM_UCSGT	0x5003		/* UC-SGT Serial */
#define	USB_PRODUCT_ELECOM_UCSGT0	0x5004		/* UC-SGT0 Serial */
#define	USB_PRODUCT_ELECOM_LDUSBTX3	0xabc1		/* LD-USB/TX */

/* Elsa products */
#define	USB_PRODUCT_ELSA_MODEM1	0x2265		/* ELSA */
#define	USB_PRODUCT_ELSA_USB2ETHERNET	0x3000		/* Microlink USB2Ethernet */

/* Entrega products */
#define	USB_PRODUCT_ENTREGA_1S	0x0001		/* 1S serial */
#define	USB_PRODUCT_ENTREGA_2S	0x0002		/* 2S serial */
#define	USB_PRODUCT_ENTREGA_1S25	0x0003		/* 1S25 serial */
#define	USB_PRODUCT_ENTREGA_4S	0x0004		/* 4S serial */
#define	USB_PRODUCT_ENTREGA_E45	0x0005		/* E45 Ethernet */
#define	USB_PRODUCT_ENTREGA_CENTRONICS	0x0006		/* Centronics */
#define	USB_PRODUCT_ENTREGA_XX1	0x0008		/* Ethernet */
#define	USB_PRODUCT_ENTREGA_1S9	0x0093		/* 1S9 serial */
#define	USB_PRODUCT_ENTREGA_EZUSB	0x8000		/* EZ-USB */
/*product ENTREGA SERIAL	0x8001	DB25 Serial connector*/
#define	USB_PRODUCT_ENTREGA_2U4S	0x8004		/* 2U4S serial */
#define	USB_PRODUCT_ENTREGA_XX2	0x8005		/* Ethernet */
/*product ENTREGA SERIAL_DB9	0x8093	DB9 Serial connector*/

/* Epson products */
#define	USB_PRODUCT_EPSON_PRINTER1	0x0001		/* USB Printer */
#define	USB_PRODUCT_EPSON_PRINTER2	0x0002		/* ISD Smart Cable for Mac */
#define	USB_PRODUCT_EPSON_PRINTER3	0x0003		/* ISD Smart Cable */
#define	USB_PRODUCT_EPSON_PRINTER5	0x0005		/* USB Printer */
#define	USB_PRODUCT_EPSON_636	0x0101		/* Perfection 636U / 636Photo */
#define	USB_PRODUCT_EPSON_610	0x0103		/* Perfection 610 */
#define	USB_PRODUCT_EPSON_1200	0x0104		/* Perfection 1200U / 1200Photo */
#define	USB_PRODUCT_EPSON_1600	0x0107		/* Expression 1600 */
#define	USB_PRODUCT_EPSON_1640	0x010a		/* Perfection 1640SU */
#define	USB_PRODUCT_EPSON_1240	0x010b		/* Perfection 1240U / 1240Photo */
#define	USB_PRODUCT_EPSON_640U	0x010c		/* Perfection 640U */
#define	USB_PRODUCT_EPSON_1650	0x0110		/* Perfection 1650 */
#define	USB_PRODUCT_EPSON_GT9700F	0x0112		/* GT-9700F */
#define	USB_PRODUCT_EPSON_2400	0x011b		/* Perfection 2400 */
#define	USB_PRODUCT_EPSON_1260	0x011d		/* Perfection 1260 */
#define	USB_PRODUCT_EPSON_1660	0x011e		/* Perfection 1660 */
#define	USB_PRODUCT_EPSON_1670	0x011f		/* Perfection 1670 */
#define	USB_PRODUCT_EPSON_CX3650	0x080e		/* Stylus CX3650 */

/* e-TEK Labs products */
#define	USB_PRODUCT_ETEK_1COM	0x8007		/* Serial */

/* Extended Systems products */
#define	USB_PRODUCT_EXTENDED_XTNDACCESS	0x0100		/* XTNDAccess IrDA */

/* Falcom Wireless Communications GmbH products */
#define	USB_PRODUCT_FALCOM_TWIST	0x0001		/* Falcom Twist USB */
#define	USB_PRODUCT_FALCOM_SAMBA	0x0005		/* Falcom Samba USB */

/* Fiberline */
#define	USB_PRODUCT_FIBERLINE_WL430U	0x6003		/* WL-430U */

/* Freecom products */
#define	USB_PRODUCT_FREECOM_DVD	0xfc01		/* Connector for DVD drive */

/* Future Technology Devices products */
#define	USB_PRODUCT_FTDI_SERIAL_8U232AM	0x6001		/* 8U232AM Serial */
#define	USB_PRODUCT_FTDI_SERIAL_2232C	0x6010		/* 2232C Serial */
#define	USB_PRODUCT_FTDI_PS2KBDMS	0x8371		/* PS/2 Keyboard/Mouse */
#define	USB_PRODUCT_FTDI_SERIAL_8U100AX	0x8372		/* Serial */
#define	USB_PRODUCT_FTDI_MJS_SIRIUS_PC	0xca81		/* MJS Sirius To PC Interface */
#define	USB_PRODUCT_FTDI_SERIAL_232BM	0xee18		/* FT232BM Serial */
#define	USB_PRODUCT_FTDI_MHAM_KW	0xeee8		/* KW */
#define	USB_PRODUCT_FTDI_MHAM_YS	0xeee9		/* YS */
#define	USB_PRODUCT_FTDI_MHAM_Y6	0xeeea		/* Y6 */
#define	USB_PRODUCT_FTDI_MHAM_Y8	0xeeeb		/* Y8 */
#define	USB_PRODUCT_FTDI_MHAM_IC	0xeeec		/* IC */
#define	USB_PRODUCT_FTDI_MHAM_DB9	0xeeed		/* DB9 */
#define	USB_PRODUCT_FTDI_MHAM_RS232	0xeeee		/* RS232 */
#define	USB_PRODUCT_FTDI_MHAM_Y9	0xeeef		/* Y9 */
#define	USB_PRODUCT_FTDI_COASTAL_TNCX	0xf448		/* Coastal ChipWorks TNC-X */
#define	USB_PRODUCT_FTDI_ITM_TOUCH	0xf9e9		/* ITM Touchscreen */
#define	USB_PRODUCT_FTDI_LCD_MX200	0xfa01		/* Matrix Orbital MX200 Series LCD */
#define	USB_PRODUCT_FTDI_LCD_LK202_24	0xfa03		/* Matrix Orbital LK202-24 LCD */
#define	USB_PRODUCT_FTDI_LCD_LK204_24	0xfa04		/* Matrix Orbital LK204-24 LCD */
#define	USB_PRODUCT_FTDI_LCD_CFA_631	0xfc0c		/* Crystalfontz CFA-631 LCD */
#define	USB_PRODUCT_FTDI_LCD_CFA_632	0xfc08		/* Crystalfontz CFA-632 LCD */
#define	USB_PRODUCT_FTDI_LCD_CFA_633	0xfc0b		/* Crystalfontz CFA-633 LCD */
#define	USB_PRODUCT_FTDI_LCD_CFA_634	0xfc09		/* Crystalfontz CFA-634 LCD */
#define	USB_PRODUCT_FTDI_SEMC_DSS20	0xfc82		/* SEMC DSS-20 SyncStation */

/* Fuji photo products */
#define	USB_PRODUCT_FUJIPHOTO_MASS0100	0x0100		/* Mass Storage */

/* Fujitsu protducts */
#define	USB_PRODUCT_FUJITSU_AH_F401U	0x105b		/* AH-F401U Air H device */

/* G.Mate */
#define	USB_PRODUCT_GMATE_YP3X00	0x1001		/* YP3X00 PDA */

/* Garmin International products */
#define	USB_PRODUCT_GARMIN_IQUE3600	0x0004		/* Ique 3600 */

/* Genesys Logic products */
#define	USB_PRODUCT_GENESYS_GENELINK	0x05e3		/* GeneLink Host-Host Bridge */
#define	USB_PRODUCT_GENESYS_GL650	0x0604		/* GL650 Hub */
#define	USB_PRODUCT_GENESYS_GL641USB	0x0700		/* GL641USB CompactFlash */

/* GIGABYTE products */
#define	USB_PRODUCT_GIGABYTE_GNBR402W	0x8002		/* GN-BR402W */
#define	USB_PRODUCT_GIGABYTE_GNWLBM101	0x8003		/* GN-WLBM101 */
#define	USB_PRODUCT_GIGABYTE_GNWBKG	0x8007		/* GN-WBKG */
#define	USB_PRODUCT_GIGABYTE_GNWB01GS	0x8008		/* GN-WB01GS */
#define	USB_PRODUCT_GIGABYTE_GNWI05GS	0x800a		/* GN-WI05GS */

/* Gigaset products */
#define	USB_PRODUCT_GIGASET_WLAN	0x0701		/* WLAN */
#define	USB_PRODUCT_GIGASET_SMCWUSBTG	0x0710		/* SMCWUSBT-G */
#define	USB_PRODUCT_GIGASET_SMCWUSBTG_NF	0x0711		/* SMCWUSBT-G */
#define	USB_PRODUCT_GIGASET_AR5523	0x0712		/* AR5523 */
#define	USB_PRODUCT_GIGASET_AR5523_NF	0x0713		/* AR5523 */
#define	USB_PRODUCT_GIGASET_RT2573	0x0722		/* RT2573 */

/* Global Sun Technology product */
#define	USB_PRODUCT_GLOBALSUN_AR5523_1	0x7801		/* AR5523 */
#define	USB_PRODUCT_GLOBALSUN_AR5523_1_NF	0x7802		/* AR5523 */
#define	USB_PRODUCT_GLOBALSUN_AR5523_2	0x7811		/* AR5523 */
#define	USB_PRODUCT_GLOBALSUN_AR5523_2_NF	0x7812		/* AR5523 */

/* GoHubs products */
#define	USB_PRODUCT_GOHUBS_GOCOM232	0x1001		/* GoCOM232 Serial converter */

/* Good Way Technology products */
#define	USB_PRODUCT_GOODWAY_GWUSB2E	0x6200		/* GWUSB2E */
#define	USB_PRODUCT_GOODWAY_RT2573	0xc019		/* RT2573 */

/* Gravis products */
#define	USB_PRODUCT_GRAVIS_GAMEPADPRO	0x4001		/* GamePad Pro */

/* GREENHOUSE products */
#define	USB_PRODUCT_GREENHOUSE_KANA21	0x0001		/* CF-writer/MP3 Player */

/* Griffin Technology */
#define	USB_PRODUCT_GRIFFIN_IMATE	0x0405		/* iMate, ADB adapter */

/* Gude ADS */
#define	USB_PRODUCT_GUDE_DCF	0xdcf7		/* Expert mouseCLOCK USB */

/* Guillemot Corporation */
#define	USB_PRODUCT_GUILLEMOT_DALEADER	0xa300		/* DA Leader */
#define	USB_PRODUCT_GUILLEMOT_HWGUSB254	0xe000		/* HWGUSB2-54 WLAN */
#define	USB_PRODUCT_GUILLEMOT_HWGUSB254LB	0xe010		/* HWGUSB2-54-LB */
#define	USB_PRODUCT_GUILLEMOT_HWGUSB254V2AP	0xe020		/* HWGUSB2-54V2-AP */

/* Gunze Gunze Electronics USA */
#define	USB_PRODUCT_GUNZE_TOUCHPANEL	0x0001		/* Gunze USB Touch Panel */

/* Hagiwara products */
#define	USB_PRODUCT_HAGIWARA_FGSM	0x0002		/* FlashGate SmartMedia */
#define	USB_PRODUCT_HAGIWARA_FGCF	0x0003		/* FlashGate CompactFlash */
#define	USB_PRODUCT_HAGIWARA_FG	0x0005		/* FlashGate */

/* HAL Corporation products */
#define	USB_PRODUCT_HAL_IMR001	0x0011		/* Crossam2+USB IR commander */

/* Handspring, Inc. */
#define	USB_PRODUCT_HANDSPRING_VISOR	0x0100		/* Handspring Visor */
#define	USB_PRODUCT_HANDSPRING_TREO	0x0200		/* Handspring Treo */
#define	USB_PRODUCT_HANDSPRING_TREO600	0x0300		/* Handspring Treo 600 */

/* Hauppauge Computer Works */
#define	USB_PRODUCT_HAUPPAUGE_WINTV_USB_FM	0x4d12		/* WinTV FM */

/* Hawking Technologies products */
#define	USB_PRODUCT_HAWKING_UF100	0x400c		/* 10/100 Ethernet */
#define	USB_PRODUCT_ABOCOM_UF200	0x420a		/* UF200 Ethernet */

/* Hitachi, Ltd. products */
#define	USB_PRODUCT_HITACHI_DZMV100A	0x0004		/* DVD-CAM DZ-MV100A Camcorder */

/* HP products */
#define	USB_PRODUCT_HP_895C	0x0004		/* DeskJet 895C */
#define	USB_PRODUCT_HP_4100C	0x0101		/* Scanjet 4100C */
#define	USB_PRODUCT_HP_S20	0x0102		/* Photosmart S20 */
#define	USB_PRODUCT_HP_880C	0x0104		/* DeskJet 880C */
#define	USB_PRODUCT_HP_4200C	0x0105		/* ScanJet 4200C */
#define	USB_PRODUCT_HP_CDWRITERPLUS	0x0107		/* CD-Writer Plus */
#define	USB_PRODUCT_HP_KBDHUB	0x010c		/* Multimedia Keyboard Hub */
#define	USB_PRODUCT_HP_HN210W	0x011c		/* HN210W */
#define	USB_PRODUCT_HP_6200C	0x0201		/* ScanJet 6200C */
#define	USB_PRODUCT_HP_S20b	0x0202		/* PhotoSmart S20 */
#define	USB_PRODUCT_HP_815C	0x0204		/* DeskJet 815C */
#define	USB_PRODUCT_HP_3300C	0x0205		/* ScanJet 3300C */
#define	USB_PRODUCT_HP_CDW8200	0x0207		/* CD-Writer Plus 8200e */
#define	USB_PRODUCT_HP_1220C	0x0212		/* DeskJet 1220C */
#define	USB_PRODUCT_HP_810C	0x0304		/* DeskJet 810C/812C */
#define	USB_PRODUCT_HP_4300C	0x0305		/* Scanjet 4300C */
#define	USB_PRODUCT_HP_CD4E	0x0307		/* CD-Writer+ CD-4e */
#define	USB_PRODUCT_HP_G85XI	0x0311		/* OfficeJet G85xi */
#define	USB_PRODUCT_HP_1200	0x0317		/* LaserJet 1200 */
#define	USB_PRODUCT_HP_5200C	0x0401		/* Scanjet 5200C */
#define	USB_PRODUCT_HP_830C	0x0404		/* DeskJet 830C */
#define	USB_PRODUCT_HP_3400CSE	0x0405		/* ScanJet 3400cse */
#define	USB_PRODUCT_HP_885C	0x0504		/* DeskJet 885C */
#define	USB_PRODUCT_HP_6300C	0x0601		/* Scanjet 6300C */
#define	USB_PRODUCT_HP_840C	0x0604		/* DeskJet 840c */
#define	USB_PRODUCT_HP_2200C	0x0605		/* ScanJet 2200C */
#define	USB_PRODUCT_HP_5300C	0x0701		/* Scanjet 5300C */
#define	USB_PRODUCT_HP_816C	0x0804		/* DeskJet 816C */
#define	USB_PRODUCT_HP_970CSE	0x1004		/* Deskjet 970Cse */
#define	USB_PRODUCT_HP_5400C	0x1005		/* Scanjet 5400C */
#define	USB_PRODUCT_HP_959C	0x1104		/* Deskjet 959C */
#define	USB_PRODUCT_HP_930C	0x1204		/* DeskJet 930c */
#define	USB_PRODUCT_HP_P2000U	0x1801		/* Inkjet P-2000U */
#define	USB_PRODUCT_HP_640C	0x2004		/* DeskJet 640c */
#define	USB_PRODUCT_HP_P1100	0x3102		/* Photosmart P1100 */
#define	USB_PRODUCT_HP_HN210E	0x811c		/* HN210E Ethernet */
#define	USB_PRODUCT_HP_2215	0x1016		/* iPAQ 22xx/Jornada 548 */
#define	USB_PRODUCT_HP_568J	0x1116		/* Jornada 568 */

/* HP products */
#define	USB_PRODUCT_HP2_C500	0x6002		/* PhotoSmart C500 */

/* HUAWEI products */
#define	USB_PRODUCT_HUAWEI_E618	0x1001		/* HUAWEI Mobile E618 */

/* HUMAX products */
#define	USB_PRODUCT_HUMAX_PVRSMART	0x138c		/* PVR-SMART */

/* IBM Corporation */
#define	USB_PRODUCT_IBM_OPTTRAVELMOUSE	0x3107		/* Optical */
#define	USB_PRODUCT_IBM_USBCDROMDRIVE	0x4427		/* CD-ROM */
#define	USB_PRODUCT_IBM_THINKPADHUB	0x4484		/* Hub */

/* id Quantique */
#define	USB_PRODUCT_IDQUANTIQUE_QUANTISUSB	0x0102		/* Quantis USB */

/* Iiyama products */
#define	USB_PRODUCT_IIYAMA_HUB	0x0201		/* Hub */

/* Imation */
#define	USB_PRODUCT_IMATION_FLASHGO	0xb000		/* Flash Go! */

/* Inside Out Networks products */
#define	USB_PRODUCT_INSIDEOUT_EDGEPORT4	0x0001		/* EdgePort/4 RS232 */
#define	USB_PRODUCT_INSIDEOUT_HUBPORT7	0x0002		/* Hubport/7 */
#define	USB_PRODUCT_INSIDEOUT_RAPIDPORT4	0x0003		/* Rapidport/4 */
#define	USB_PRODUCT_INSIDEOUT_EDGEPORT4T	0x0004		/* Edgeport/4 RS232 */
#define	USB_PRODUCT_INSIDEOUT_EDGEPORT2	0x0005		/* Edgeport/2 RS232 */
#define	USB_PRODUCT_INSIDEOUT_EDGEPORT4I	0x0006		/* Edgeport/4 RS422 */
#define	USB_PRODUCT_INSIDEOUT_EDGEPORT2I	0x0007		/* Edgeport/2 RS422/RS485 */
#define	USB_PRODUCT_INSIDEOUT_HUBPORT4	0x0008		/* Hubport/4 */
#define	USB_PRODUCT_INSIDEOUT_EDGEPORT8HAND	0x0009		/* Hand-built Edgeport/8 */
#define	USB_PRODUCT_INSIDEOUT_MULTIMODEM	0x000A		/* MultiTech version of RP/4 */
#define	USB_PRODUCT_INSIDEOUT_EDGEPORTPPORT	0x000B		/* Edgeport/(4)21 Parallel */
#define	USB_PRODUCT_INSIDEOUT_EDGEPORT421	0x000C		/* Edgeport/421 Hub+RS232+Parallel */
#define	USB_PRODUCT_INSIDEOUT_EDGEPORT21	0x000D		/* Edgeport/21 RS232+Parallel */
#define	USB_PRODUCT_INSIDEOUT_EDGEPORT8DC	0x000E		/* 1/2 Edgeport/8 */
#define	USB_PRODUCT_INSIDEOUT_EDGEPORT8	0x000F		/* Edgeport/8 */
#define	USB_PRODUCT_INSIDEOUT_EDGEPORT2DIN	0x0010		/* Edgeport/2 RS232/DIN */
#define	USB_PRODUCT_INSIDEOUT_EDGEPORT4DIN	0x0011		/* Edgeport/4 RS232/DIN */
#define	USB_PRODUCT_INSIDEOUT_EDGEPORT16DC	0x0012		/* 1/2 Edgeport/16 */
#define	USB_PRODUCT_INSIDEOUT_EDGEPORTCOMP	0x0013		/* Edgeport Compatible */
#define	USB_PRODUCT_INSIDEOUT_EDGEPORT8I	0x0014		/* Edgeport/8 RS422 */
#define	USB_PRODUCT_INSIDEOUT_MT4X56USB	0x1403		/* OEM device */

/* In-System products */
#define	USB_PRODUCT_INSYSTEM_F5U002	0x0002		/* Parallel */
#define	USB_PRODUCT_INSYSTEM_ATAPI	0x0031		/* ATAPI */
#define	USB_PRODUCT_INSYSTEM_IDEUSB2	0x0060		/* USB2 Storage */
#define	USB_PRODUCT_INSYSTEM_ISD110	0x0200		/* IDE ISD110 */
#define	USB_PRODUCT_INSYSTEM_ISD105	0x0202		/* IDE ISD105 */
#define	USB_PRODUCT_INSYSTEM_DRIVEV2	0x0301		/* Portable USB Harddrive V2 */
#define	USB_PRODUCT_INSYSTEM_DRIVEV2_5	0x0351		/* Portable USB Harddrive V2 */
#define	USB_PRODUCT_INSYSTEM_USBCABLE	0x081a		/* USB cable */
#define	USB_PRODUCT_INSYSTEM_ADAPTERV2	0x5701		/* USB Storage Adapter V2 */

/* Intel products */
#define	USB_PRODUCT_INTEL_EASYPC_CAMERA	0x0110		/* EasyPC */
#define	USB_PRODUCT_INTEL_AP310	0x0200		/* AP310 AnyPoint II */
#define	USB_PRODUCT_INTEL_I2011B	0x1111		/* Wireless 2011B */
#define	USB_PRODUCT_INTEL_TESTBOARD	0x9890		/* 82930 test board */

/* Intersil products */
#define	USB_PRODUCT_INTERSIL_PRISM_2X	0x3642		/* Prism2.x WLAN */

/* Interpid Control Systems products */
#define	USB_PRODUCT_INTREPIDCS_VALUECAN	0x0601		/* ValueCAN */
#define	USB_PRODUCT_INTREPIDCS_NEOVI	0x0701		/* NeoVI Blue */

/* I/O DATA products */
#define	USB_PRODUCT_IODATA_USBSSMRW	0x0314		/* USB-SSMRW SD-card */
#define	USB_PRODUCT_IODATA_USBSDRW	0x031e		/* USB-SDRW SD-card */
#define	USB_PRODUCT_IODATA_USBETT	0x0901		/* USB ETT */
#define	USB_PRODUCT_IODATA_USBETTX	0x0904		/* USB ETTX */
#define	USB_PRODUCT_IODATA_USBETTXS	0x0913		/* USB ETTX */
#define	USB_PRODUCT_IODATA_USBWNB11A	0x0919		/* USB WN-B11 */
#define	USB_PRODUCT_IODATA_USBWNB11	0x0922		/* USB Airport WN-B11 */
#define	USB_PRODUCT_IODATA_ETGUS2	0x0930		/* ETG-US2 */
#define	USB_PRODUCT_IODATA_USBRSAQ	0x0a03		/* RSAQ1 Serial */
#define	USB_PRODUCT_IODATA2_USB2SC	0x0a09		/* USB2.0-SCSI Bridge USB2-SC */

/* Iomega products */
#define	USB_PRODUCT_IOMEGA_ZIP100	0x0001		/* Zip 100 */
#define	USB_PRODUCT_IOMEGA_ZIP250	0x0030		/* Zip 250 */
#define	USB_PRODUCT_IOMEGA_ZIP250_2	0x0032		/* Zip 250 */
#define	USB_PRODUCT_IOMEGA_CDRW	0x0055		/* CDRW 9602 */

/* iRiver products */
#define	USB_PRODUCT_IRIVER_IFP_1XX	0x1101		/* iFP-1xx */
#define	USB_PRODUCT_IRIVER_IFP_3XX	0x1103		/* iFP-3xx */
#define	USB_PRODUCT_IRIVER_IFP_5XX	0x1105		/* iFP-5xx */

/* iTegno products */
#define	USB_PRODUCT_ITEGNO_WM1080A	0x1080		/* WM1080A */

/* Jablotron products */
#define	USB_PRODUCT_JABLOTRON_PC60B	0x0001		/* PC-60B */

/* Jaton products */
#define	USB_PRODUCT_JATON_EDA	0x5704		/* Ethernet */

/* Jenoptik products */
#define	USB_PRODUCT_JENOPTIK_JD350	0x5300		/* JD 350 */

/* JRC products */
#define	USB_PRODUCT_JRC_AH_J3001V_J3002V	0x0001		/* AirH\"PHONE AH-J3001V/J3002V */

/* JVC products */
#define	USB_PRODUCT_JVC_MP_XP7250_WL	0x3009		/* MP-XP7250 Builtin WLAN */
#define	USB_PRODUCT_JVC_MP_PRX1	0x3008		/* MP-PRX1 */

/* Kawasaki LSI products */
#define	USB_PRODUCT_KLSI_DUH3E10BT	0x0008		/* 10BT Ethernet */
#define	USB_PRODUCT_KLSI_DUH3E10BTN	0x0009		/* 10BT Ethernet */

/* Kawatsu products */
#define	USB_PRODUCT_KAWATSU_MH4000P	0x0003		/* MiniHub 4000P */
#define	USB_PRODUCT_KAWATSU_KC180	0x0180		/* KC-180 IrDA */

/* Keisokugiken products */
#define	USB_PRODUCT_KEISOKUGIKEN_USBDAQ	0x0068		/* HKS-0200 USBDAQ */

/* Kensington products */
#define	USB_PRODUCT_KENSINGTON_ORBIT	0x1003		/* Orbit trackball */
#define	USB_PRODUCT_KENSINGTON_TURBOBALL	0x1005		/* TurboBall */
#define	USB_PRODUCT_KENSINGTON_ORBIT_MAC	0x1009		/* Orbit trackball for Mac */
#define	USB_PRODUCT_KENSINGTON_BT_EDR	0x105e		/* Bluetooth */
#define	USB_PRODUCT_KENSINGTON_VIDEOCAM_VGA	0x5002		/* VideoCAM VGA */

/* Keyspan products */
#define	USB_PRODUCT_KEYSPAN_USA28_NF	0x0101		/* USA-28 serial */
#define	USB_PRODUCT_KEYSPAN_USA28X_NF	0x0102		/* USA-28X serial */
#define	USB_PRODUCT_KEYSPAN_USA19_NF	0x0103		/* USA-19 serial */
#define	USB_PRODUCT_KEYSPAN_USA18_NF	0x0104		/* USA-18 serial */
#define	USB_PRODUCT_KEYSPAN_USA18X_NF	0x0105		/* USA-18X serial */
#define	USB_PRODUCT_KEYSPAN_USA19W_NF	0x0106		/* USA-19W serial */
#define	USB_PRODUCT_KEYSPAN_USA19	0x0107		/* USA-19 serial */
#define	USB_PRODUCT_KEYSPAN_USA19W	0x0108		/* USA-19W serial */
#define	USB_PRODUCT_KEYSPAN_USA49W_NF	0x0109		/* USA-49W serial */
#define	USB_PRODUCT_KEYSPAN_USA49W	0x010a		/* USA-49W serial */
#define	USB_PRODUCT_KEYSPAN_USA19QI_NF	0x010b		/* USA-19QI serial */
#define	USB_PRODUCT_KEYSPAN_USA19QI	0x010c		/* USA-19QI serial */
#define	USB_PRODUCT_KEYSPAN_USA19Q_NF	0x010d		/* USA-19Q serial */
#define	USB_PRODUCT_KEYSPAN_USA19Q	0x010e		/* USA-19Q serial */
#define	USB_PRODUCT_KEYSPAN_USA28	0x010f		/* USA-28 serial */
#define	USB_PRODUCT_KEYSPAN_USA28XXB	0x0110		/* USA-28X/XB serial */
#define	USB_PRODUCT_KEYSPAN_USA18	0x0111		/* USA-18 serial */
#define	USB_PRODUCT_KEYSPAN_USA18X	0x0112		/* USA-18X serial */
#define	USB_PRODUCT_KEYSPAN_USA28XB_NF	0x0113		/* USA-28XB serial */
#define	USB_PRODUCT_KEYSPAN_USA28XA_NF	0x0114		/* USA-28XB serial */
#define	USB_PRODUCT_KEYSPAN_USA28XA	0x0115		/* USA-28XA serial */
#define	USB_PRODUCT_KEYSPAN_USA18XA_NF	0x0116		/* USA-18XA serial */
#define	USB_PRODUCT_KEYSPAN_USA18XA	0x0117		/* USA-18XA serial */
#define	USB_PRODUCT_KEYSPAN_USA19QW_NF	0x0118		/* USA-19WQ serial */
#define	USB_PRODUCT_KEYSPAN_USA19QW	0x0119		/* USA-19WQ serial */
#define	USB_PRODUCT_KEYSPAN_UIA10	0x0201		/* UIA-10 remote control */
#define	USB_PRODUCT_KEYSPAN_UIA11	0x0202		/* UIA-11 remote control */

/* Kingston products */
#define	USB_PRODUCT_KINGSTON_XX1	0x0008		/* Ethernet */
#define	USB_PRODUCT_KINGSTON_KNU101TX	0x000a		/* KNU101TX Ethernet */

/* Kodak products */
#define	USB_PRODUCT_KODAK_DC220	0x0100		/* Digital Science DC220 */
#define	USB_PRODUCT_KODAK_DC260	0x0110		/* Digital Science DC260 */
#define	USB_PRODUCT_KODAK_DC265	0x0111		/* Digital Science DC265 */
#define	USB_PRODUCT_KODAK_DC290	0x0112		/* Digital Science DC290 */
#define	USB_PRODUCT_KODAK_DC240	0x0120		/* Digital Science DC240 */
#define	USB_PRODUCT_KODAK_DC280	0x0130		/* Digital Science DC280 */
#define	USB_PRODUCT_KODAK_DX4900	0x0550		/* EasyShare DX4900 */

/* Konica Corp. Products */
#define	USB_PRODUCT_KONICA_CAMERA	0x0720		/* Camera */

/* KYE products */
#define	USB_PRODUCT_KYE_NICHE	0x0001		/* Niche mouse */
#define	USB_PRODUCT_KYE_NETSCROLL	0x0003		/* Genius NetScroll mouse */
#define	USB_PRODUCT_KYE_FLIGHT2000	0x1004		/* Flight 2000 joystick */
#define	USB_PRODUCT_KYE_VIVIDPRO	0x2001		/* ColorPage Vivid-Pro */

/* Kyocera products */
#define	USB_PRODUCT_KYOCERA_AHK3001V	0x0203		/* AH-K3001V */
#define	USB_PRODUCT_KYOCERA2_KPC650	0x17da		/* KPC650 EVDO */

/* LaCie products */
#define	USB_PRODUCT_LACIE_HD	0xa601		/* Hard Disk */
#define	USB_PRODUCT_LACIE_CDRW	0xa602		/* CD R/W */

/* Leadtek products */
#define	USB_PRODUCT_LEADTEK_9531	0x2101		/* 9531 GPS */

/* Lexar products */
#define	USB_PRODUCT_LEXAR_JUMPSHOT	0x0001		/* jumpSHOT CompactFlash */
#define	USB_PRODUCT_LEXAR_2662WAR	0xa002		/* 2662W-AR */

/* Lexmark products */
#define	USB_PRODUCT_LEXMARK_S2450	0x0009		/* Optra S 2450 */

/* Linksys products */
#define	USB_PRODUCT_LINKSYS4_USB1000	0x0039		/* USB1000 */
#define	USB_PRODUCT_LINKSYS_MAUSB2	0x0105		/* Camedia MAUSB-2 */
#define	USB_PRODUCT_LINKSYS_USB10TX1	0x200c		/* USB10TX */
#define	USB_PRODUCT_LINKSYS_USB10T	0x2202		/* USB10T Ethernet */
#define	USB_PRODUCT_LINKSYS_USB100TX	0x2203		/* USB100TX Ethernet */
#define	USB_PRODUCT_LINKSYS_USB100H1	0x2204		/* USB100H1 Ethernet/HPNA */
#define	USB_PRODUCT_LINKSYS_USB10TA	0x2206		/* USB10TA Ethernet */
#define	USB_PRODUCT_LINKSYS_WUSB11	0x2211		/* WUSB11 802.11b */
#define	USB_PRODUCT_LINKSYS_WUSB11_25	0x2212		/* WUSB11 802.11b v2.5 */
#define	USB_PRODUCT_LINKSYS_WUSB12_11	0x2213		/* WUSB12 802.11b v1.1 */
#define	USB_PRODUCT_LINKSYS2_USB200M	0x2226		/* USB 2.0 10/100 ethernet controller */
#define	USB_PRODUCT_LINKSYS2_WUSB11	0x2219		/* WUSB11 */
#define	USB_PRODUCT_LINKSYS2_NWU11B	0x2219		/* Network Everywhere NWU11B */
#define	USB_PRODUCT_LINKSYS3_WUSB11V28	0x2233		/* WUSB11 v2.8 */
#define	USB_PRODUCT_LINKSYS3_WUSB11V30	0x2236		/* WUSB11 v3.0 */
#define	USB_PRODUCT_LINKSYS_USB10TX2	0x400b		/* USB10TX */

/* Logitech products */
#define	USB_PRODUCT_LOGITECH_M2452	0x0203		/* M2452 keyboard */
#define	USB_PRODUCT_LOGITECH_M4848	0x0301		/* M4848 mouse */
#define	USB_PRODUCT_LOGITECH_PAGESCAN	0x040f		/* PageScan */
#define	USB_PRODUCT_LOGITECH_QUICKCAMWEB	0x0801		/* QuickCam Web */
#define	USB_PRODUCT_LOGITECH_QUICKCAMPRO	0x0810		/* QuickCam Pro */
#define	USB_PRODUCT_LOGITECH_QUICKCAMEXP	0x0840		/* QuickCam Express */
#define	USB_PRODUCT_LOGITECH_QUICKCAM	0x0850		/* QuickCam */
#define	USB_PRODUCT_LOGITECH_QUICKCAMDLXNB	0x08a9		/* QuickCam Notebook Deluxe */
#define	USB_PRODUCT_LOGITECH_QUICKCAMPRO3k	0x08b0		/* QuickCam Pro 3000 */
#define	USB_PRODUCT_LOGITECH_QUICKCAMPRONB	0x08b1		/* QuickCam Notebook Pro */
#define	USB_PRODUCT_LOGITECH_QUICKCAMPRO4K	0x08b2		/* QuickCam Pro 4000 */
#define	USB_PRODUCT_LOGITECH_N43	0xc000		/* N43 */
#define	USB_PRODUCT_LOGITECH_N48	0xc001		/* N48 mouse */
#define	USB_PRODUCT_LOGITECH_MBA47	0xc002		/* M-BA47 mouse */
#define	USB_PRODUCT_LOGITECH_WMMOUSE	0xc004		/* WingMan Gaming Mouse */
#define	USB_PRODUCT_LOGITECH_BD58	0xc00c		/* BD58 mouse */
#define	USB_PRODUCT_LOGITECH_UN58A	0xc030		/* iFeel Mouse */
#define	USB_PRODUCT_LOGITECH_WMPAD	0xc208		/* WingMan GamePad Extreme */
#define	USB_PRODUCT_LOGITECH_WMRPAD	0xc20a		/* WingMan RumblePad */
#define	USB_PRODUCT_LOGITECH_WMJOY	0xc281		/* WingMan Force joystick */
#define	USB_PRODUCT_LOGITECH_WMFFGP	0xc293		/* WingMan Formula Force GP (GT-Force) */
#define	USB_PRODUCT_LOGITECH_ITOUCH	0xc303		/* iTouch Keyboard */
#define	USB_PRODUCT_LOGITECH_BB13	0xc401		/* USB-PS/2 Trackball */
#define	USB_PRODUCT_LOGITECH_BB18	0xc404		/* TrackMan Wheel */
#define	USB_PRODUCT_LOGITECH_RK53	0xc501		/* Cordless mouse */
#define	USB_PRODUCT_LOGITECH_RB6	0xc503		/* Cordless keyboard */
#define	USB_PRODUCT_LOGITECH_CDO	0xc504		/* Cordless Desktop Optical */
#define	USB_PRODUCT_LOGITECH_QUICKCAMPRO2	0xd001		/* QuickCam Pro */
#define	USB_PRODUCT_LOGITECH_QUICKCAMZOOM	0x08b3		/* QuickCam Zoom */

/* Longshine products */
#define	USB_PRODUCT_ABOCOM_LCS8138TX	0x401a		/* LCS-8138TX */

/* Lucent products */
#define	USB_PRODUCT_LUCENT_EVALKIT	0x1001		/* USS-720 evaluation kit */

/* Macally products */
#define	USB_PRODUCT_MACALLY_MOUSE1	0x0101		/* mouse */

/* MCT Corp. */
#define	USB_PRODUCT_MCT_HUB0100	0x0100		/* Hub */
#define	USB_PRODUCT_MCT_DU_H3SP_USB232	0x0200		/* D-Link DU-H3SP BAY Hub */
#define	USB_PRODUCT_MCT_USB232	0x0210		/* RS232 Interface */
#define	USB_PRODUCT_MCT_SITECOM_USB232	0x0230		/* Sitecom RS232 */
#define	USB_PRODUCT_MCT_ML_4500	0x0302		/* ML-4500 */

/* Melco, Inc products */
#define	USB_PRODUCT_MELCO_LUATX1	0x0001		/* LUA-TX Ethernet */
#define	USB_PRODUCT_MELCO_LUATX5	0x0005		/* LUA-TX Ethernet */
#define	USB_PRODUCT_MELCO_NINWIFI	0x008b		/* Nintendo Wi-Fi */
#define	USB_PRODUCT_MELCO_LUA2TX5	0x0009		/* LUA2-TX Ethernet */
#define	USB_PRODUCT_MELCO_LUAKTX	0x0012		/* LUA-KTX Ethernet */
#define	USB_PRODUCT_MELCO_S11	0x0016		/* WLI-USB-S11 */
#define	USB_PRODUCT_MELCO_MCRSM2	0x001b		/* MCR-SM2 SmartMedia */
#define	USB_PRODUCT_MELCO_DUBPXXG	0x001c		/* USB-IDE Bridge: DUB-PxxG */
#define	USB_PRODUCT_MELCO_KS11G	0x0027		/* WLI-USB-KS11G wlan */
#define	USB_PRODUCT_MELCO_LUAU2KTX	0x003d		/* LUA-U2-KTX Ethernet */
#define	USB_PRODUCT_MELCO_KB11	0x0044		/* WLI-USB-KB11 WLAN */
#define	USB_PRODUCT_MELCO_KG54YB	0x005e		/* WLI-U2-KG54-YB WLAN */
#define	USB_PRODUCT_MELCO_KG54	0x0066		/* WLI-U2-KG54 WLAN */
#define	USB_PRODUCT_MELCO_KG54AI	0x0067		/* WLI-U2-KG54-AI WLAN */
#define	USB_PRODUCT_MELCO_SG54HP	0x00d8		/* WLI-U2-SG54HP */
#define	USB_PRODUCT_MELCO_G54HP	0x00d9		/* WLI-U2-G54HP */
#define	USB_PRODUCT_MELCO_KG54L	0x00da		/* WLI-U2-KG54L */

/* MetaGeek products */
#define	USB_PRODUCT_METAGEEK_WISPY	0x083e		/* Wi-Spy */

/* Metricom products */
#define	USB_PRODUCT_METRICOM_RICOCHET_GS	0x0001		/* Ricochet GS */

/* MGE UPS Systems products */
#define	USB_PRODUCT_MGE_UPS1	0x0001		/* Protection Center 1 UPS */
#define	USB_PRODUCT_MGE_UPS2	0xffff		/* Protection Center 2 UPS */

/* Micro Star International products */
#define	USB_PRODUCT_MSI_WLAN	0x1020		/* WLAN */
#define	USB_PRODUCT_MSI_BLUETOOTH	0x1967		/* Bluetooth */
#define	USB_PRODUCT_MSI_RT2570	0x6861		/* RT2570 */
#define	USB_PRODUCT_MSI_RT2570_2	0x6865		/* RT2570 */
#define	USB_PRODUCT_MSI_RT2570_3	0x6869		/* RT2570 */
#define	USB_PRODUCT_MSI_RT2573_1	0x6874		/* RT2573 */
#define	USB_PRODUCT_MSI_RT2573_2	0x6877		/* RT2573 */
#define	USB_PRODUCT_MSI_RT2573_3	0xa861		/* RT2573 */
#define	USB_PRODUCT_MSI_RT2573_4	0xa874		/* RT2573 */
#define	USB_PRODUCT_MSI_BLUETOOTH_2	0xa970		/* Bluetooth2 */

/* Micronet Communications products */
#define	USB_PRODUCT_MICRONET_SP128AR	0x0003		/* SP128AR EtherFast */

/* Microsoft products */
#define	USB_PRODUCT_MICROSOFT_SIDEPREC	0x0008		/* SideWinder Precision Pro */
#define	USB_PRODUCT_MICROSOFT_INTELLIMOUSE	0x0009		/* IntelliMouse */
#define	USB_PRODUCT_MICROSOFT_NATURALKBD	0x000b		/* Natural */
#define	USB_PRODUCT_MICROSOFT_DDS80	0x0014		/* Digital Sound System 80 */
#define	USB_PRODUCT_MICROSOFT_SIDEWINDER	0x001a		/* Sidewinder Precision Racing Wheel */
#define	USB_PRODUCT_MICROSOFT_TBEXPLORER	0x0024		/* Trackball Explorer */
#define	USB_PRODUCT_MICROSOFT_INTELLIEYE	0x0025		/* IntelliEye mouse */
#define	USB_PRODUCT_MICROSOFT_INETPRO	0x002b		/* Internet Keyboard Pro */
#define	USB_PRODUCT_MICROSOFT_MN510	0x006e		/* MN510 Wireless */
#define	USB_PRODUCT_MICROSOFT_MN110	0x007a		/* 10/100 Ethernet */
#define	USB_PRODUCT_MICROSOFT_XBOX360	0x0292		/* XBOX 360 WLAN */

/* Microtech products */
#define	USB_PRODUCT_MICROTECH_SCSIDB25	0x0004		/* SCSI-DB25 */
#define	USB_PRODUCT_MICROTECH_SCSIHD50	0x0005		/* SCSI-HD50 */
#define	USB_PRODUCT_MICROTECH_DPCM	0x0006		/* CameraMate */
#define	USB_PRODUCT_MICROTECH_FREECOM	0xfc01		/* Freecom IDE */

/* Microtek products */
#define	USB_PRODUCT_MICROTEK_336CX	0x0094		/* Phantom 336CX - C3 */
#define	USB_PRODUCT_MICROTEK_X6U	0x0099		/* ScanMaker X6 - X6U */
#define	USB_PRODUCT_MICROTEK_C6	0x009a		/* Phantom C6 */
#define	USB_PRODUCT_MICROTEK_336CX2	0x00a0		/* Phantom 336CX - C3 */
#define	USB_PRODUCT_MICROTEK_V6USL	0x00a3		/* ScanMaker V6USL */
#define	USB_PRODUCT_MICROTEK_V6USL2	0x80a3		/* ScanMaker V6USL */
#define	USB_PRODUCT_MICROTEK_V6UL	0x80ac		/* ScanMaker V6UL */

/* Midiman products */
#define	USB_PRODUCT_MIDIMAN_MIDISPORT2X2	0x1001		/* Midisport 2x2 */

/* Minds At Work LLC products */
#define	USB_PRODUCT_MINDSATWORK_DW	0x0001		/* Digital Wallet */

/* Minolta Co., Ltd. */
#define	USB_PRODUCT_MINOLTA_S304	0x4007		/* Dimage S304 */
#define	USB_PRODUCT_MINOLTA_X	0x4009		/* Dimage X */
#define	USB_PRODUCT_MINOLTA_DIMAGE7I	0x400b		/* Dimage 7i */
#define	USB_PRODUCT_MINOLTA_DIMAGEA1	0x401a		/* Dimage A1 */

/* Mitsumi products */
#define	USB_PRODUCT_MITSUMI_CDRRW	0x0000		/* CD-R/RW Drive */
#define	USB_PRODUCT_MITSUMI_MOUSE	0x6407		/* Mouse */
#define	USB_PRODUCT_MITSUMI_BLUETOOTH	0x641f		/* Bluetooth */
#define	USB_PRODUCT_MITSUMI_FDD	0x6901		/* FDD */

/* Mobile Action products */
#define	USB_PRODUCT_MOBILEACTION_MA620	0x0620		/* MA-620 IrDA */

/* Mobility products */
#define	USB_PRODUCT_MOBILITY_EA	0x0204		/* Ethernet */
#define	USB_PRODUCT_MOBILITY_EASIDOCK	0x0304		/* EasiDock Ethernet */

/* MosChip products */
#define	USB_PRODUCT_MOSCHIP_MCS7703	0x7703		/* MCS7703 Serial */
#define	USB_PRODUCT_MOSCHIP_MCS7830	0x7830		/* MCS7830 Ethernet */

/* Motorola products */
#define	USB_PRODUCT_MOTOROLA_MC141555	0x1555		/* MC141555 hub controller */
#define	USB_PRODUCT_MOTOROLA2_T720C	0x2822		/* T720c */
#define	USB_PRODUCT_MOTOROLA2_V360	0x4902		/* V360 */
#define	USB_PRODUCT_MOTOROLA2_USBLAN	0x600c		/* USBLAN */
#define	USB_PRODUCT_MOTOROLA2_USBLAN2	0x6027		/* USBLAN */
#define	USB_PRODUCT_MOTOROLA_SB4100	0x4100		/* SB4100 Cable Modem */
#define	USB_PRODUCT_MOTOROLA3_SB5100	0x5100		/* SB5100 Cable Modem */

/* MultiTech products */
#define	USB_PRODUCT_MULTITECH_ATLAS	0xf101		/* MT5634ZBA modem */

/* Mustek products */
#define	USB_PRODUCT_MUSTEK_1200CU	0x0001		/* 1200 CU */
#define	USB_PRODUCT_MUSTEK_600CU	0x0002		/* 600 CU */
#define	USB_PRODUCT_MUSTEK_1200USB	0x0003		/* 1200 */
#define	USB_PRODUCT_MUSTEK_1200UB	0x0006		/* 1200 UB */
#define	USB_PRODUCT_MUSTEK_1200USBPLUS	0x0007		/* 1200 Plus */
#define	USB_PRODUCT_MUSTEK_1200CUPLUS	0x0008		/* 1200 CU Plus */
#define	USB_PRODUCT_MUSTEK_BEARPAW1200F	0x0010		/* BearPaw 1200F */
#define	USB_PRODUCT_MUSTEK_600USB	0x0873		/* 600 */
#define	USB_PRODUCT_MUSTEK_MDC800	0xa800		/* MDC-800 */
#define	USB_PRODUCT_MUSTEK_DV2000	0xc441		/* DV2000 */

/* M-Systems products */
#define	USB_PRODUCT_MSYSTEMS_DISKONKEY	0x0010		/* DiskOnKey */
#define	USB_PRODUCT_MSYSTEMS_DISKONKEY2	0x0011		/* DiskOnKey */

/* National Instruments */
#define	USB_PRODUCT_NI_GPIB_USB_A	0xc920		/* GPIB-USB-A */

/* National Semiconductor */
#define	USB_PRODUCT_NATIONAL_BEARPAW1200	0x1000		/* BearPaw 1200 */
#define	USB_PRODUCT_NATIONAL_BEARPAW2400	0x1001		/* BearPaw 2400 */

/* NEC products */
#define	USB_PRODUCT_NEC_USB2EXTEND	0x0409		/* Repeater */
#define	USB_PRODUCT_NEC_HUB	0x55aa		/* hub */
#define	USB_PRODUCT_NEC_HUB_B	0x55ab		/* hub */
#define	USB_PRODUCT_NEC_PICTY760	0xbef4		/* Picty760 */
#define	USB_PRODUCT_NEC_PICTY900	0xefbe		/* Picty900 */
#define	USB_PRODUCT_NEC_PICTY920	0xf0be		/* Picty920 */
#define	USB_PRODUCT_NEC_PICTY800	0xf1be		/* Picty800 */

/* NEC2 products */
#define	USB_PRODUCT_NEC2_HUB2_0	0x0058		/* USB2.0 Hub */

/* NEODIO products */
#define	USB_PRODUCT_NEODIO_ND3050	0x3050		/* 6-in-1 Flash Device Controller */
#define	USB_PRODUCT_NEODIO_ND3260	0x3260		/* 8-in-1 Flash Device Controller */
#define	USB_PRODUCT_NEODIO_ND5010	0x5010		/* Multi-format Flash Controller */

/* NetChip Technology Products */
#define	USB_PRODUCT_NETCHIP_TURBOCONNECT	0x1080		/* Turbo-Connect */
#define	USB_PRODUCT_NETCHIP_CLIK40	0xa140		/* Clik! 40 */
#define	USB_PRODUCT_NETCHIP_ETHERNETGADGET	0xa4a2		/* EthernetGadget */

/* Netgear products */
#define	USB_PRODUCT_NETGEAR_EA101	0x1001		/* Ethernet */
#define	USB_PRODUCT_NETGEAR_EA101X	0x1002		/* Ethernet */
#define	USB_PRODUCT_NETGEAR_FA101	0x1020		/* 10/100 Ethernet */
#define	USB_PRODUCT_NETGEAR_FA120	0x1040		/* USB 2.0 Fast Ethernet */
#define	USB_PRODUCT_NETGEAR2_MA101	0x4100		/* MA101 */
#define	USB_PRODUCT_NETGEAR2_MA101B	0x4102		/* MA101 Rev B */
#define	USB_PRODUCT_NETGEAR_MA111NA	0x4110		/* 802.11b */
#define	USB_PRODUCT_NETGEAR_MA111V2	0x4230		/* 802.11b V2 */
#define	USB_PRODUCT_NETGEAR3_WG111T	0x4250		/* WG111T */
#define	USB_PRODUCT_NETGEAR3_WG111T_NF	0x4251		/* WG111T */
#define	USB_PRODUCT_NETGEAR_WG111U	0x4300		/* WG111U */
#define	USB_PRODUCT_NETGEAR_WG111U_NF	0x4301		/* WG111U */
#define	USB_PRODUCT_NETGEAR3_WPN111	0x5f00		/* WPN111 */
#define	USB_PRODUCT_NETGEAR3_WPN111_NF	0x5f01		/* WPN111 */
#define	USB_PRODUCT_NETGEAR_WG111V2	0x6a00		/* WG111v2 */

/* Nikon products */
#define	USB_PRODUCT_NIKON_E990	0x0102		/* E990 */
#define	USB_PRODUCT_NIKON_E880	0x0103		/* E880 */
#define	USB_PRODUCT_NIKON_E885	0x0105		/* E885 */

/* NHJ product */
#define	USB_PRODUCT_NHJ_CAM2	0x9120		/* Camera */

/* Nokia products */
#define	USB_PRODUCT_NOKIA_CA42	0x1234		/* CA-42 Serial */

/* Nova Tech products */
#define	USB_PRODUCT_NOVATECH_NV902W	0x9020		/* NV-902W */
#define	USB_PRODUCT_NOVATECH_RT2573	0x9021		/* RT2573 */

/* Novatel Wireless products */
#define	USB_PRODUCT_NOVATEL_EXPRESSCARD	0x1100		/* ExpressCard 3G */
#define	USB_PRODUCT_NOVATEL_MERLINV620	0x1110		/* Merlin V620 */
#define	USB_PRODUCT_NOVATEL_S720	0x1130		/* S720 */
#define	USB_PRODUCT_NOVATEL_MERLINU740	0x1400		/* Merlin U740 */
#define	USB_PRODUCT_NOVATEL_XU870	0x1430		/* XU870 */
#define	USB_PRODUCT_NOVATEL_ES620	0x2100		/* ES620 CDMA */
#define	USB_PRODUCT_NOVATEL_U720	0x2110		/* U720 */

/* Olympus products */
#define	USB_PRODUCT_OLYMPUS_C1	0x0102		/* C-1 */
#define	USB_PRODUCT_OLYMPUS_C700	0x0105		/* C-700 Ultra Zoom */

/* Omnidirectional Control Technology products */
#define	USB_PRODUCT_SIIG2_USBTOETHER	0x0109		/* USB TO Ethernet */

/* OmniVision Technologies, Inc. products */
#define	USB_PRODUCT_OMNIVISION_OV511	0x0511		/* OV511 */
#define	USB_PRODUCT_OMNIVISION_OV511PLUS	0xa511		/* OV511+ */

/* OnSpec Electronic, Inc. */
#define	USB_PRODUCT_ONSPEC_MD2	0x0103		/* disk */
#define	USB_PRODUCT_ONSPEC_MDCFEB	0xa000		/* MDCFE-B CF */
#define	USB_PRODUCT_ONSPEC_SIIGMS	0xa001		/* Memory Stick+CF */
#define	USB_PRODUCT_ONSPEC_DATAFAB3	0xa003		/* Datafab-based */
#define	USB_PRODUCT_ONSPEC_DATAFAB4	0xa004		/* Datafab-based */
#define	USB_PRODUCT_ONSPEC_PNYCFSM	0xa005		/* PNY/Datafab CF+SM */
#define	USB_PRODUCT_ONSPEC_STECHCFSM	0xa006		/* Simple Tech/Datafab CF+SM */
#define	USB_PRODUCT_ONSPEC_LC1	0xa109		/* CF + SM Combo (LC1) */
#define	USB_PRODUCT_ONSPEC_MD1II	0xb006		/* Datafab MD1-II PC-Card */

#define	USB_PRODUCT_ONSPEC2_8IN2	0xb012		/* 8In2 */

/* OQO */
#define	USB_PRODUCT_OQO_WIFI01	0x0002		/* model 01 WiFi interface */
#define	USB_PRODUCT_OQO_BT01	0x0003		/* model 01 Bluetooth interface */
#define	USB_PRODUCT_OQO_ETHER01PLUS	0x7720		/* model 01+ Ethernet */
#define	USB_PRODUCT_OQO_ETHER01	0x8150		/* model 01 Ethernet interface */

/* Ours Technology Inc. */
#define	USB_PRODUCT_OTI_SOLID	0x6803		/* Solid state disk */
#define	USB_PRODUCT_OTI_DKU5	0x6858		/* DKU-5 Serial */

/* Palm Computing, Inc. product */
#define	USB_PRODUCT_PALM_SERIAL	0x0080		/* USB Serial Adaptor */
#define	USB_PRODUCT_PALM_M500	0x0001		/* Palm m500 */
#define	USB_PRODUCT_PALM_M505	0x0002		/* Palm m505 */
#define	USB_PRODUCT_PALM_M515	0x0003		/* Palm m515 */
#define	USB_PRODUCT_PALM_I705	0x0020		/* Palm i705 */
#define	USB_PRODUCT_PALM_TUNGSTEN_Z	0x0031		/* Palm Tungsten Z */
#define	USB_PRODUCT_PALM_M125	0x0040		/* Palm m125 */
#define	USB_PRODUCT_PALM_M130	0x0050		/* Palm m130 */
#define	USB_PRODUCT_PALM_TUNGSTEN_T	0x0060		/* Palm Tungsten T */
#define	USB_PRODUCT_PALM_ZIRE_31	0x0061		/* Palm Zire 31 */
#define	USB_PRODUCT_PALM_ZIRE	0x0070		/* Palm Zire */

/* Panasonic products */
#define	USB_PRODUCT_PANASONIC_LS120	0x0901		/* LS-120 */
#define	USB_PRODUCT_PANASONIC_SDCAAE	0x1b00		/* MultiMediaCard */
#define	USB_PRODUCT_PANASONIC_TYTP50P6S	0x3900		/* TY-TP50P6-S 50in Touch Panel */

/* Pen Driver */
#define	USB_PRODUCT_PEN_USBREADER	0x0240		/* 6 in 1 */
#define	USB_PRODUCT_PEN_MOBILEDRIVE	0x0280		/* 3 in 1 */
#define	USB_PRODUCT_PEN_USBDISK	0x0d7d		/* Disk */

/* Peracom products */
#define	USB_PRODUCT_PERACOM_SERIAL1	0x0001		/* Serial Converter */
#define	USB_PRODUCT_PERACOM_ENET	0x0002		/* Ethernet */
#define	USB_PRODUCT_PERACOM_ENET3	0x0003		/* At-Home Ethernet */
#define	USB_PRODUCT_PERACOM_ENET2	0x0005		/* Ethernet */

/* Pheenet products */
#define	USB_PRODUCT_PHEENET_WL503IA	0x4017		/* WL-503IA */

/* Philips products */
#define	USB_PRODUCT_PHILIPS_DSS350	0x0101		/* DSS 350 Digital Speaker System */
#define	USB_PRODUCT_PHILIPS_DSS	0x0104		/* DSS XXX Digital Speaker System */
#define	USB_PRODUCT_PHILIPS_HUB	0x0201		/* hub */
#define	USB_PRODUCT_PHILIPS_PCA645VC	0x0302		/* PCA645VC */
#define	USB_PRODUCT_PHILIPS_PCA646VC	0x0303		/* PCA646VC */
#define	USB_PRODUCT_PHILIPS_PCVC675K	0x0307		/* PCVC675K Vesta */
#define	USB_PRODUCT_PHILIPS_PCVC680K	0x0308		/* PCVC680K Vesta Pro */
#define	USB_PRODUCT_PHILIPS_PCVC690K	0x030c		/* PCVC690K Vesta Pro Scan Camera */
#define	USB_PRODUCT_PHILIPS_PCVC730K	0x0310		/* PCVC730K ToUCam Fun */
#define	USB_PRODUCT_PHILIPS_PCVC740K	0x0311		/* PCVC740K ToUCam Pro PC */
#define	USB_PRODUCT_PHILIPS_PCVC750K	0x0312		/* PCVC750K ToUCam Pro Scan */
#define	USB_PRODUCT_PHILIPS_DSS150	0x0471		/* DSS 150 Digital Speaker System */
#define	USB_PRODUCT_PHILIPS_SNU6500	0x1233		/* SNU6500 */
#define	USB_PRODUCT_PHILIPS_SNU5600	0x1236		/* SNU5600 */
#define	USB_PRODUCT_PHILIPS_DIVAUSB	0x1801		/* DIVA mp3 player */

/* Philips Semiconductor products */
#define	USB_PRODUCT_PHILIPSSEMI_HUB1122	0x1122		/* hub */

/* P.I. Engineering products */
#define	USB_PRODUCT_PIENGINEERING_PS2USB	0x020b		/* PS2 to Mac */
#define	USB_PRODUCT_PIENGINEERING_XKEYS	0x0233		/* Xkeys Programmable Keyboard */

/* Pilotech Systems Co., Ltd products */
#define	USB_PRODUCT_PILOTECH_CRW600	0x0001		/* CRW-600 6-in-1 */

/* Planex Communications products */
#define	USB_PRODUCT_PLANEX_GW_US11H	0x14ea		/* GW-US11H WLAN */
#define	USB_PRODUCT_PLANEX2_GW_US11S	0x3220		/* GW-US11S WLAN */
#define	USB_PRODUCT_PLANEX2_GWUS54HP	0xab01		/* GW-US54HP */
#define	USB_PRODUCT_PLANEX3_GU1000T	0xab11		/* GU-1000T */
#define	USB_PRODUCT_PLANEX3_GWUS54MINI	0xab13		/* GW-US54Mini */
#define	USB_PRODUCT_PLANEX2_GWUS54MINI2	0xab50		/* GW-US54Mini2 */
#define	USB_PRODUCT_PLANEX2_GWUS54SG	0xc002		/* GW-US54SG */
#define	USB_PRODUCT_PLANEX2_GWUS54GZL	0xc007		/* GW-US54GZL */
#define	USB_PRODUCT_PLANEX2_GWUSMM	0xed02		/* GW-USMM */

/* Plantronics products */
#define	USB_PRODUCT_PLANTRONICS_HEADSET	0x0ca1		/* DSP-400 Headset */

/* PLX products */
#define	USB_PRODUCT_PLX_TESTBOARD	0x9060		/* test board */
#define	USB_PRODUCT_PLX_CA42	0xac70		/* CA-42 Serial */

/* PortGear products */
#define	USB_PRODUCT_PORTGEAR_EA8	0x0008		/* Ethernet */
#define	USB_PRODUCT_PORTGEAR_EA9	0x0009		/* Ethernet */

/* Portsmith products */
#define	USB_PRODUCT_PORTSMITH_EEA	0x3003		/* Express Ethernet */

/* PQI products */
#define	USB_PRODUCT_PQI_TRAVELFLASH	0x0001		/* Travel Flash Drive */

/* Primax products */
#define	USB_PRODUCT_PRIMAX_G2X300	0x0300		/* G2-200 */
#define	USB_PRODUCT_PRIMAX_G2E300	0x0301		/* G2E-300 */
#define	USB_PRODUCT_PRIMAX_G2300	0x0302		/* G2-300 */
#define	USB_PRODUCT_PRIMAX_G2E3002	0x0303		/* G2E-300 */
#define	USB_PRODUCT_PRIMAX_9600	0x0340		/* Colorado 9600 */
#define	USB_PRODUCT_PRIMAX_600U	0x0341		/* Colorado 600u */
#define	USB_PRODUCT_PRIMAX_6200	0x0345		/* Visioneer 6200 */
#define	USB_PRODUCT_PRIMAX_19200	0x0360		/* Colorado 19200 */
#define	USB_PRODUCT_PRIMAX_1200U	0x0361		/* Colorado 1200u */
#define	USB_PRODUCT_PRIMAX_G600	0x0380		/* G2-600 */
#define	USB_PRODUCT_PRIMAX_636I	0x0381		/* ReadyScan 636i */
#define	USB_PRODUCT_PRIMAX_G2600	0x0382		/* G2-600 */
#define	USB_PRODUCT_PRIMAX_G2E600	0x0383		/* G2E-600 */
#define	USB_PRODUCT_PRIMAX_COMFORT	0x4d01		/* Comfort */
#define	USB_PRODUCT_PRIMAX_MOUSEINABOX	0x4d02		/* Mouse-in-a-Box */
#define	USB_PRODUCT_PRIMAX_PCGAUMS1	0x4d04		/* Sony PCGA-UMS1 */

/* Prolific products */
#define	USB_PRODUCT_PROLIFIC_PL2301	0x0000		/* PL2301 Host-Host interface */
#define	USB_PRODUCT_PROLIFIC_PL2302	0x0001		/* PL2302 Host-Host interface */
#define	USB_PRODUCT_PROLIFIC_RSAQ2	0x04bb		/* PL2303 Serial */
#define	USB_PRODUCT_PROLIFIC_PL2303	0x2303		/* PL2303 Serial */
#define	USB_PRODUCT_PROLIFIC2_PL2303	0x2303		/* PL2303 Serial */
#define	USB_PRODUCT_PROLIFIC_PL2305	0x2305		/* Parallel printer */
#define	USB_PRODUCT_PROLIFIC_ATAPI4	0x2307		/* ATAPI-4 Bridge Controller */
#define	USB_PRODUCT_PROLIFIC_PL2501	0x2501		/* PL2501 Host-Host interface */
#define	USB_PRODUCT_PROLIFIC_PL2303X	0xaaa0		/* PL2303 Serial */
#define	USB_PRODUCT_PROLIFIC_PL2303X2	0xaaa2		/* PL2303 Serial */

/* Putercom products */
#define	USB_PRODUCT_PUTERCOM_UPA100	0x047e		/* USB-1284 BRIDGE */

/* Qcom products */
#define	USB_PRODUCT_QCOM_RT2573	0x6196		/* RT2573 */
#define	USB_PRODUCT_QCOM_RT2573_2	0x6229		/* RT2573 */

/* Qtronix products */
#define	USB_PRODUCT_QTRONIX_980N	0x2011		/* Scorpion-980N */

/* Qualcomm products */
#define	USB_PRODUCT_QUALCOMM_MSM_MODEM	0x3196		/* CDMA MSM modem */
#define	USB_PRODUCT_QUALCOMM2_MSM_PHONE	0x6000		/* CDMA MSM phone */
#define	USB_PRODUCT_QUALCOMM_MSM_HSDPA	0x6613		/* HSDPA MSM */

/* Quickshot products */
#define	USB_PRODUCT_QUICKSHOT_STRIKEPAD	0x6238		/* USB StrikePad */

/* Radio Shack products */
#define	USB_PRODUCT_RADIOSHACK_PL2303	0x4026		/* PL2303 Serial */

/* Rainbow Technologies products */
#define	USB_PRODUCT_RAINBOW_IKEY2000	0x1200		/* i-Key 2000 */

/* Ralink Technology products */
#define	USB_PRODUCT_RALINK_RT2570	0x1706		/* RT2570 */
#define	USB_PRODUCT_RALINK_RT2570_2	0x2570		/* RT2570 */
#define	USB_PRODUCT_RALINK_RT2570_3	0x9020		/* RT2570 */
#define	USB_PRODUCT_RALINK_RT2573	0x2573		/* RT2573 */
#define	USB_PRODUCT_RALINK_RT2671	0x2671		/* RT2671 */
#define	USB_PRODUCT_RALINK_RT2573_2	0x9021		/* RT2573 */

/* RATOC Systems products */
#define	USB_PRODUCT_RATOC_REXUSB60	0xb000		/* USB serial REX-USB60 */

/* Realtek products */
#define	USB_PRODUCT_REALTEK_RTL8150	0x8150		/* RTL8150 */
#define	USB_PRODUCT_REALTEK_RTL8151	0x8151		/* RTL8151 PNA */
#define	USB_PRODUCT_REALTEK_RTL8187	0x8187		/* RTL8187 */

/* Research In Motion products */
#define	USB_PRODUCT_RIM_BLACKBERRY	0x0001		/* Blackberry */

/* Roland products */
#define	USB_PRODUCT_ROLAND_UA100	0x0000		/* UA-100 Audio I/F */
#define	USB_PRODUCT_ROLAND_UM4	0x0002		/* UM-4 MIDI I/F */
#define	USB_PRODUCT_ROLAND_SC8850	0x0003		/* SC-8850 MIDI Synth */
#define	USB_PRODUCT_ROLAND_U8	0x0004		/* U-8 Audio I/F */
#define	USB_PRODUCT_ROLAND_UM2	0x0005		/* UM-2 MIDI I/F */
#define	USB_PRODUCT_ROLAND_SC8820	0x0007		/* SC-8820 MIDI Synth */
#define	USB_PRODUCT_ROLAND_PC300	0x0008		/* PC-300 MIDI Keyboard */
#define	USB_PRODUCT_ROLAND_UM1	0x0009		/* UM-1 MIDI I/F */
#define	USB_PRODUCT_ROLAND_SK500	0x000b		/* SK-500 MIDI Keyboard */
#define	USB_PRODUCT_ROLAND_SCD70	0x000c		/* SC-D70 MIDI Synth */
#define	USB_PRODUCT_ROLAND_UM880N	0x0014		/* UM-880 MIDI I/F */
#define	USB_PRODUCT_ROLAND_SD90	0x0016		/* SD-90 MIDI Synth */
#define	USB_PRODUCT_ROLAND_UM550	0x0023		/* UM-550 MIDI I/F */
#define	USB_PRODUCT_ROLAND_SD20	0x0027		/* SD-20 MIDI Synth */
#define	USB_PRODUCT_ROLAND_SD80	0x0029		/* SD-80 MIDI Synth */
#define	USB_PRODUCT_ROLAND_UA700	0x002b		/* UA-700 Audio I/F */

/* Rockfire products */
#define	USB_PRODUCT_ROCKFIRE_GAMEPAD	0x2033		/* Gamepad 203USB */

/* Sagem products */
#define	USB_PRODUCT_SAGEM_SERIAL	0x0027		/* Serial */
#define	USB_PRODUCT_SAGEM_XG760A	0x004a		/* XG-760A */
#define	USB_PRODUCT_SAGEM_XG76NA	0x0062		/* XG-76NA */

/* Saitek products */
#define	USB_PRODUCT_SAITEK_CYBORG_3D_GOLD	0x0006		/* Cyborg 3D Gold Joystick */

/* SanDisk products */
#define	USB_PRODUCT_SANDISK_SDDR05A	0x0001		/* ImageMate SDDR-05a */
#define	USB_PRODUCT_SANDISK_SDDR31	0x0002		/* ImageMate SDDR-31 */
#define	USB_PRODUCT_SANDISK_SDDR05	0x0005		/* ImageMate SDDR-05 */
#define	USB_PRODUCT_SANDISK_SDDR12	0x0100		/* ImageMate SDDR-12 */
#define	USB_PRODUCT_SANDISK_SDDR09	0x0200		/* ImageMate SDDR-09 */
#define	USB_PRODUCT_SANDISK_SDDR75	0x0810		/* ImageMate SDDR-75 */

/* Sanwa Supply products */
#define	USB_PRODUCT_SANWASUPPLY_JYDV9USB	0x9806		/* JY-DV9USB gamepad */

/* Sanyo Electric products */
#define	USB_PRODUCT_SANYO_SCP4900	0x0701		/* Sanyo SCP-4900 Phone */

/* Samsung products */
#define	USB_PRODUCT_SAMSUNG2_I330	0x8001		/* I330 */
#define	USB_PRODUCT_SAMSUNG_SWL2100W	0xa000		/* SWL-2100U */

/* ScanLogic products */
#define	USB_PRODUCT_SCANLOGIC_SL11R	0x0002		/* SL11R-IDE */
#define	USB_PRODUCT_SCANLOGIC_336CX	0x0300		/* Phantom 336CX - C3 */

/* Sealevel products */
#define	USB_PRODUCT_SEALEVEL_USBSERIAL	0x2101		/* USB-Serial converter */

/* Senao products */
#define	USB_PRODUCT_SENAO_NUB8301	0x2000		/* NUB-8301 */
#define	USB_PRODUCT_SENAO_NUB862	0x6100		/* NUB-862 */

/* Serverworks */
#define	USB_PRODUCT_SERVERWORKS_HUB	0x0000		/* Root Hub */

/* SGI products */
#define	USB_PRODUCT_SGI_SN1_L1_SC	0x1234		/* SN1 L1 System Controller */

/* ShanTou products */
#define	USB_PRODUCT_SHANTOU_ST268	0x0268		/* ST268 */
#define	USB_PRODUCT_SHANTOU_DM9601	0x9601		/* DM9601 */

/* Shark products */
#define	USB_PRODUCT_SHARK_PA	0x0400		/* Pocket Adapter */

/* Sharp products */
#define	USB_PRODUCT_SHARP_SL5500	0x8004		/* SL5500 */
#define	USB_PRODUCT_SHARP_A300	0x8005		/* A300 */
#define	USB_PRODUCT_SHARP_SL5600	0x8006		/* SL5600 */
#define	USB_PRODUCT_SHARP_C700	0x8007		/* C700 */
#define	USB_PRODUCT_SHARP_C750	0x9031		/* C750 */

/* Shuttle Technology products */
#define	USB_PRODUCT_SHUTTLE_EUSB	0x0001		/* E-USB Bridge */
#define	USB_PRODUCT_SHUTTLE_EUSCSI	0x0002		/* eUSCSI Bridge */
#define	USB_PRODUCT_SHUTTLE_SDDR09	0x0003		/* ImageMate SDDR09 */
#define	USB_PRODUCT_SHUTTLE_EUSBSMCF	0x0005		/* eUSB SmartMedia / CompactFlash */
#define	USB_PRODUCT_SHUTTLE_ZIOMMC	0x0006		/* eUSB MultiMediaCard */
#define	USB_PRODUCT_SHUTTLE_HIFD	0x0007		/* Sony Hifd */
#define	USB_PRODUCT_SHUTTLE_EUSBATAPI	0x0009		/* eUSB ATA/ATAPI */
#define	USB_PRODUCT_SHUTTLE_CF	0x000a		/* eUSB CompactFlash */
#define	USB_PRODUCT_SHUTTLE_EUSCSI_B	0x000b		/* eUSCSI Bridge */
#define	USB_PRODUCT_SHUTTLE_EUSCSI_C	0x000c		/* eUSCSI Bridge */
#define	USB_PRODUCT_SHUTTLE_CDRW	0x0101		/* CD-RW Device */
#define	USB_PRODUCT_SHUTTLE_SCM	0x1010		/* SCM Micro */

/* Siemens products */
#define	USB_PRODUCT_SIEMENS3_SX1	0x0001		/* SX1 */
#define	USB_PRODUCT_SIEMENS3_X65	0x0003		/* X65 */
#define	USB_PRODUCT_SIEMENS3_X75	0x0004		/* X75 */
#define	USB_PRODUCT_SIEMENS2_WLL013	0x001b		/* WLL013 */
#define	USB_PRODUCT_SIEMENS2_ES75	0x0034		/* GSM module MC35 */
#define	USB_PRODUCT_SIEMENS_SPEEDSTREAM	0x1001		/* SpeedStream */
#define	USB_PRODUCT_SIEMENS_SPEEDSTREAM22	0x1022		/* SpeedStream 1022 */
#define	USB_PRODUCT_CYBERTAN_GIGASET108	0x160c		/* Siemens Gigaset 108 */

/* Sierra Wireless products */
#define	USB_PRODUCT_SIERRA_EM5625	0x0017		/* EM5625 */
#define	USB_PRODUCT_SIERRA_MC5720	0x0018		/* MC5720 */
#define	USB_PRODUCT_SIERRA_AIRCARD_595	0x0019		/* AirCard 595 */
#define	USB_PRODUCT_SIERRA_MC5725	0x0020		/* MC5725 */
#define	USB_PRODUCT_SIERRA_AIRCARD_580	0x0112		/* Aircard 580 EVDO */
#define	USB_PRODUCT_SIERRA_MC8755_2	0x6802		/* MC8755 */
#define	USB_PRODUCT_SIERRA_MC8765	0x6803		/* MC8765 */
#define	USB_PRODUCT_SIERRA_MC8755	0x6804		/* MC8755 HSDPA */
#define	USB_PRODUCT_SIERRA_MC8775	0x6812		/* MC8775 HSDPA */
#define	USB_PRODUCT_SIERRA_AIRCARD_875	0x6820		/* Aircard 875 HSDPA */

/* Sigmatel products */
#define	USB_PRODUCT_SIGMATEL_IRDA	0x4200		/* IrDA */
#define	USB_PRODUCT_SIGMATEL_DNSSF7X	0x8020		/* Datum Networks SSF-7X Multi Players */

/* SIIG products */
#define	USB_PRODUCT_SIIG_DIGIFILMREADER	0x0004		/* DigiFilm-Combo */
#define	USB_PRODUCT_SIIG_MULTICARDREADER	0x0201		/* MULTICARDREADER */
#define	USB_PRODUCT_SIIG2_US2308	0x0421		/* Serial */

/* Silicom products */
#define	USB_PRODUCT_SILICOM_U2E	0x0001		/* U2E */
#define	USB_PRODUCT_SILICOM_GPE	0x0002		/* Psion Dacom Gold Port Ethernet */

/* Silicon Labs products */
#define	USB_PRODUCT_SILABS_POLOLU	0x803b		/* Pololu Serial */
#define	USB_PRODUCT_SILABS_ARGUSISP	0x8066		/* Argussoft ISP */
#define	USB_PRODUCT_SILABS_CRUMB128	0x807a		/* Crumb128 */
#define	USB_PRODUCT_SILABS_DEGREECONT	0x80ca		/* Degree Controls */
#define	USB_PRODUCT_SILABS_SUNNTO	0x80f6		/* Suunto sports */
#define	USB_PRODUCT_SILABS_DESKTOPMOBILE	0x813d		/* Burnside Desktop mobile */
#define	USB_PRODUCT_SILABS_IPLINK1220	0x815e		/* IP-Link 1220 */
#define	USB_PRODUCT_SILABS_LIPOWSKY_JTAG	0x81c8		/* Lipowsky Baby-JTAG */
#define	USB_PRODUCT_SILABS_LIPOWSKY_LIN	0x81e2		/* Lipowsky Baby-LIN */
#define	USB_PRODUCT_SILABS_LIPOWSKY_HARP	0x8218		/* Lipowsky HARP-1 */
#define	USB_PRODUCT_SILABS2_DCU11CLONE	0xaa26		/* DCU-11 clone */
#define	USB_PRODUCT_SILABS_CP210X_1	0xea60		/* CP210x Serial */
#define	USB_PRODUCT_SILABS_CP210X_2	0xea61		/* CP210x Serial */

/* Silicon Portals Inc. */
#define	USB_PRODUCT_SILICONPORTALS_YAPPH_NF	0x0200		/* YAP Phone (no firmware) */
#define	USB_PRODUCT_SILICONPORTALS_YAPPHONE	0x0201		/* YAP Phone */

/* Sirius Technologies products */
#define	USB_PRODUCT_SIRIUS_ROADSTER	0x0001		/* NetComm Roadster II 56 */

/* Sitecom products */
#define	USB_PRODUCT_SITECOM_LN029	0x182d		/* LN029 */
#define	USB_PRODUCT_SITECOM2_WL022	0x182d		/* WL-022 */
#define	USB_PRODUCT_SITECOM_CN104	0x2068		/* CN104 */

/* Sitecom Europe products */
#define	USB_PRODUCT_SITECOMEU_LN028	0x061c		/* LN-028 */
#define	USB_PRODUCT_SITECOMEU_WL113	0x9071		/* WL-113 */
#define	USB_PRODUCT_SITECOMEU_ZD1211B	0x9075		/* ZD1211B */
#define	USB_PRODUCT_SITECOMEU_WL172	0x90ac		/* WL-172 */
#define	USB_PRODUCT_SITECOMEU_WL113R2	0x9712		/* WL-113 rev 2 */

/* SmartBridges products */
#define	USB_PRODUCT_SMARTBRIDGES_SMARTLINK	0x0001		/* SmartLink Ethernet */
#define	USB_PRODUCT_SMARTBRIDGES_SMARTNIC	0x0003		/* smartNIC 2 PnP */

/* SMC products */
#define	USB_PRODUCT_SMC_2102USB	0x0100		/* 10Mbps Ethernet */
#define	USB_PRODUCT_SMC_2202USB	0x0200		/* 10/100 Ethernet */
#define	USB_PRODUCT_SMC_2206USB	0x0201		/* EZ Connect Ethernet */
#define	USB_PRODUCT_SMC2_2020HUB	0x2020		/* Hub */
#define	USB_PRODUCT_SMC2_2504HUB	0x2504		/* Hub */
#define	USB_PRODUCT_SMC3_2662WV1	0xa001		/* EZ Connect 11Mbps */
#define	USB_PRODUCT_SMC3_2662WV2	0xa002		/* EZ Connect 11Mbps v2 */

/* SOHOware products */
#define	USB_PRODUCT_SOHOWARE_NUB100	0x9100		/* NUB100 Ethernet */
#define	USB_PRODUCT_SOHOWARE_NUB110	0x9110		/* NUB110 Ethernet */

/* SOLID YEAR products */
#define	USB_PRODUCT_SOLIDYEAR_KEYBOARD	0x2101		/* Keyboard */

/* SONY products */
#define	USB_PRODUCT_SONY_DSC	0x0010		/* Sony DSC Cameras */
#define	USB_PRODUCT_SONY_NWMS7	0x0025		/* Memorystick NW-MS7 */
#define	USB_PRODUCT_SONY_DRIVEV2	0x002b		/* Harddrive V2 */
#define	USB_PRODUCT_SONY_MSACUS1	0x002d		/* Memorystick MSAC-US1 */
#define	USB_PRODUCT_SONY_HANDYCAM	0x002e		/* Handycam */
#define	USB_PRODUCT_SONY_MSC	0x0032		/* Sony MSC Memorystick Slot */
#define	USB_PRODUCT_SONY_CLIE_35	0x0038		/* Clie v3.5 */
#define	USB_PRODUCT_SONY_PS2KEYBOARD	0x005c		/* PlayStation2 keyboard */
#define	USB_PRODUCT_SONY_PS2KEYBOARDHUB	0x005d		/* PlayStation2 keyboard hub */
#define	USB_PRODUCT_SONY_PS2MOUSE	0x0061		/* PlayStation2 mouse */
#define	USB_PRODUCT_SONY_CLIE_40	0x0066		/* Clie v4.0 */
#define	USB_PRODUCT_SONY_CLIE_40_MS	0x006d		/* Clie v4.0 Memory Stick slot */
#define	USB_PRODUCT_SONY_CLIE_S360	0x0095		/* Sony Clie s360 */
#define	USB_PRODUCT_SONY_CLIE_41_MS	0x0099		/* Clie v4.1 Memory Stick slot */
#define	USB_PRODUCT_SONY_CLIE_41	0x009a		/* Clie v4.1 */
#define	USB_PRODUCT_SONY_CLIE_NX60	0x00da		/* Sony Clie nx60 */
#define	USB_PRODUCT_SONY_CLIE_TJ25	0x0169		/* Sony Clie tj25 */

/* SOURCENEXT products */
#define	USB_PRODUCT_SOURCENEXT_KEIKAI8	0x039f		/* KeikaiDenwa 8 */
#define	USB_PRODUCT_SOURCENEXT_KEIKAI8_CHG	0x012e		/* KeikaiDenwa 8 with charger */

/* Speed Dragon Multimedia products */
#define	USB_PRODUCT_SPEEDDRAGON_MS3303H	0x110b		/* MS3303H Serial */

/* Sphairon Access Systems GmbH products */
#define	USB_PRODUCT_SPHAIRON_UB801R	0x0110		/* UB801R */

/* STMicroelectronics products */
#define	USB_PRODUCT_STMICRO_BIOMETRIC_COPR	0x2016		/* Biometric Coprocessor */
#define	USB_PRODUCT_STMICRO_COMMUNICATOR	0x7554		/* Communicator */

/* STSN products */
#define	USB_PRODUCT_STSN_STSN0001	0x0001		/* Internet Access Device */

/* Sun Communications products */
#define	USB_PRODUCT_SUNCOMM_MB_ADAPTOR	0x0003		/* Mobile Adaptor */

/* SUN Corporation products */
#define	USB_PRODUCT_SUNTAC_DS96L	0x0003		/* U-Cable type D2 */
#define	USB_PRODUCT_SUNTAC_PS64P1	0x0005		/* U-Cable type P1 */
#define	USB_PRODUCT_SUNTAC_VS10U	0x0009		/* Slipper U */
#define	USB_PRODUCT_SUNTAC_IS96U	0x000a		/* Ir-Trinity */
#define	USB_PRODUCT_SUNTAC_AS64LX	0x000b		/* U-Cable type A3 */
#define	USB_PRODUCT_SUNTAC_AS144L4	0x0011		/* U-Cable type A4 */

/* Sun Microsystems products */
#define	USB_PRODUCT_SUN_KEYBOARD6	0x0005		/* Type 6 Keyboard */
#define	USB_PRODUCT_SUN_KEYBOARD7	0x00a2		/* Type 7 Keyboard */
/* XXX The above is a North American PC style keyboard possibly */
#define	USB_PRODUCT_SUN_MOUSE	0x0100		/* Type 6 Mouse */

/* System TALKS, Inc. */
#define	USB_PRODUCT_SYSTEMTALKS_SGCX2UL	0x1920		/* SGC-X2UL */

/* Supra products */
#define	USB_PRODUCT_DIAMOND2_SUPRAEXPRESS56K	0x07da		/* Supra Express 56K */
#define	USB_PRODUCT_DIAMOND2_SUPRA2890	0x0b4a		/* SupraMax 2890 56K */
#define	USB_PRODUCT_DIAMOND2_RIO600USB	0x5001		/* Rio 600 */
#define	USB_PRODUCT_DIAMOND2_RIO800USB	0x5002		/* Rio 800 */
#define	USB_PRODUCT_DIAMOND2_PSAPLAY120	0x5003		/* Nike psa[play 120 */

/* Surecom Technology products */
#define	USB_PRODUCT_ACERCM_EP1427X2	0x0893		/* EP-1427X-2 Ethernet */
#define	USB_PRODUCT_SURECOM_RT2570	0x11f3		/* RT2570 */
#define	USB_PRODUCT_SURECOM_RT2573	0x31f3		/* RT2573 */

/* Susteen, Inc. products */
#define	USB_PRODUCT_SUSTEEN_DCU11	0x0528		/* Ericsson DCU-10/11 */

/* Sweex products */
#define	USB_PRODUCT_SWEEX_ZD1211	0x1809		/* ZD1211 */

/* Syntech Information products */
#define	USB_PRODUCT_SYNTECH_SERIAL	0x0001		/* Serial */

/* Tangtop products */
#define	USB_PRODUCT_TANGTOP_USBPS2	0x0001		/* USBPS2 */

/* Taugagreining products */
#define	USB_PRODUCT_TAUGA_CAMERAMATE	0x0005		/* CameraMate (DPCM_USB) */

/* Tapwave products */
#define	USB_PRODUCT_TAPWAVE_ZODIAC	0x0100		/* Zodiac */

/* TDK products */
#define	USB_PRODUCT_TDK_UPA9664	0x0115		/* USB-PDC Adapter UPA9664 */
#define	USB_PRODUCT_TDK_UCA1464	0x0116		/* USB-cdmaOne Adapter UCA1464 */
#define	USB_PRODUCT_TDK_UHA6400	0x0117		/* USB-PHS Adapter UHA6400 */
#define	USB_PRODUCT_TDK_UPA6400	0x0118		/* USB-PHS Adapter UPA6400 */
#define	USB_PRODUCT_TDK_BLUETOOTH	0x0309		/* Bluetooth */

/* TEAC products */
#define	USB_PRODUCT_TEAC_FD05PUB	0x0000		/* FD-05PUB */

/* Tekram Technology products */
#define	USB_PRODUCT_TEKRAM_0193	0x1601		/* ALLNET 0193 WLAN */
#define	USB_PRODUCT_TEKRAM_ZYAIR_B200	0x1602		/* ZyXEL ZyAIR B200 WLAN */
#define	USB_PRODUCT_TEKRAM_U300C	0x1612		/* U-300C */
#define	USB_PRODUCT_TEKRAM_QUICKWLAN	0x1630		/* QuickWLAN */
#define	USB_PRODUCT_TEKRAM_ZD1211_1	0x5630		/* ZD1211 */
#define	USB_PRODUCT_TEKRAM_ZD1211_2	0x6630		/* ZD1211 */

/* Telex Communications products */
#define	USB_PRODUCT_TELEX_MIC1	0x0001		/* Microphone */

/* Tenda */
#define	USB_PRODUCT_TENDA_TWL541U	0x1fab		/* TWL541U WLAN */

/* Ten X Technology, Inc. */
#define	USB_PRODUCT_TENX_MISSILE	0x0202		/* Missile Launcher */

/* Integrated System Solution Corp. */
#define	USB_PRODUCT_ISSC_KYBT100	0x1001		/* KY-BT100 Bluetooth */

/* Texas Intel products */
#define	USB_PRODUCT_TI_UTUSB41	0x1446		/* UT-USB41 hub */
#define	USB_PRODUCT_TI_TUSB2046	0x2046		/* TUSB2046 hub */
#define	USB_PRODUCT_TI_NEXII	0x5409		/* Nex II Digital */

/* Thrustmaster products */
#define	USB_PRODUCT_THRUST_FUSION_PAD	0xa0a3		/* Fusion Digital Gamepad */

/* Todos Data System products */
#define	USB_PRODUCT_TODOS_ARGOS_MINI	0x0002		/* Argos Mini Smartcard */

/* Trek Technology products */
#define	USB_PRODUCT_TREK_THUMBDRIVE	0x1111		/* ThumbDrive */
#define	USB_PRODUCT_TREK_THUMBDRIVE_8MB	0x9988		/* ThumbDrive 8MB */

/* Tripp-Lite products */
#define	USB_PRODUCT_TRIPPLITE_U209	0x2008		/* U209 Serial */

/* Trumpion products */
#define	USB_PRODUCT_TRUMPION_T33521	0x1003		/* USB/MP3 decoder */
#define	USB_PRODUCT_TRUMPION_XXX1100	0x1100		/* XXX 1100 */

/* Tsunami products */
#define	USB_PRODUCT_TSUNAMI_SM2000	0x1111		/* SM-2000 */

/* TwinMOS products */
#define	USB_PRODUCT_TWINMOS_G240	0xa006		/* G240 */

/* U-blox AG */
#define	USB_PRODUCT_UBLOX_ANTARIS4	0x01a4		/* ANTARIS4 GPS */

/* U-MEDIA Communications products */
#define	USB_PRODUCT_UMEDIA_AR5523_1	0x3006		/* AR5523 */
#define	USB_PRODUCT_UMEDIA_AR5523_1_NF	0x3007		/* AR5523 */
#define	USB_PRODUCT_UMEDIA_TEW429UB_A	0x300a		/* TEW-429UB_A */
#define	USB_PRODUCT_UMEDIA_TEW429UB	0x300b		/* TEW-429UB */
#define	USB_PRODUCT_UMEDIA_TEW444UBEU	0x3006		/* TEW-444UB EU */
#define	USB_PRODUCT_UMEDIA_TEW444UBEU_NF	0x3007		/* TEW-444UB EU */
#define	USB_PRODUCT_UMEDIA_TEW429UBC1	0x300d		/* TEW-429UB C1 */
#define	USB_PRODUCT_UMEDIA_ALL0298V2	0x3204		/* ALL0298 v2 */
#define	USB_PRODUCT_UMEDIA_AR5523_2	0x3205		/* AR5523 */
#define	USB_PRODUCT_UMEDIA_AR5523_2_NF	0x3206		/* AR5523 */

/* Ultima products */
#define	USB_PRODUCT_ULTIMA_1200UBPLUS	0x4002		/* 1200 UB Plus */

/* UMAX products */
#define	USB_PRODUCT_UMAX_ASTRA1236U	0x0002		/* Astra 1236U */
#define	USB_PRODUCT_UMAX_ASTRA1220U	0x0010		/* Astra 1220U */
#define	USB_PRODUCT_UMAX_ASTRA2000U	0x0030		/* Astra 2000U */
#define	USB_PRODUCT_UMAX_ASTRA2100U	0x0130		/* Astra 2100U */
#define	USB_PRODUCT_UMAX_ASTRA2200U	0x0230		/* Astra 2200U */
#define	USB_PRODUCT_UMAX_ASTRA3400	0x0060		/* Astra 3400 */

/* Universal Access products */
#define	USB_PRODUCT_UNIACCESS_PANACHE	0x0101		/* Panache Surf ISDN */

/* Unknown vendor 1 */
#define	USB_PRODUCT_UNKNOWN1_ZD1211B_1	0x5301		/* ZD1211B */
#define	USB_PRODUCT_UNKNOWN1_ZD1211B_2	0x5301		/* ZD1211B */

/* Unknown vendor 2 */
#define	USB_PRODUCT_UNKNOWN2_ZD1211B	0x0105		/* ZD1211B */

/* Unknown vendor 3 */
#define	USB_PRODUCT_UNKNOWN3_ZD1211B	0x1233		/* ZD1211B */

/* U.S. Robotics products */
#define	USB_PRODUCT_USR_USR1120	0x00eb		/* USR1120 WLAN */
#define	USB_PRODUCT_USR_MILLER_A	0x00f1		/* USR9000 SureConnect ADSL */
#define	USB_PRODUCT_USR_MILLER_A_NF	0x00f2		/* USR9000 SureConnect ADSL */
#define	USB_PRODUCT_USR_HEINEKEN_A	0x00f5		/* USR9000 SureConnect ADSL */
#define	USB_PRODUCT_USR_HEINEKEN_A_NF	0x00f6		/* USR9000 SureConnect ADSL */
#define	USB_PRODUCT_USR_HEINEKEN_B	0x00f7		/* USR9000 SureConnect ADSL */
#define	USB_PRODUCT_USR_HEINEKEN_B_NF	0x00f8		/* USR9000 SureConnect ADSL */
#define	USB_PRODUCT_USR_MILLER_B	0x00f9		/* USR9000 SureConnect ADSL */
#define	USB_PRODUCT_USR_MILLER_B_NF	0x00fa		/* USR9000 SureConnect ADSL */
#define	USB_PRODUCT_USR_USR5422	0x0118		/* USR5422 WLAN */
#define	USB_PRODUCT_USR_USR5421A	0x011b		/* USR5421A WLAN */
#define	USB_PRODUCT_USR_USR5423	0x0121		/* USR5423 WLAN */

/* USI products */
#define	USB_PRODUCT_USI_MC60	0x10c5		/* MC60 Serial */

/* ViewSonic products */
#define	USB_PRODUCT_VIEWSONIC_G773HUB	0x00fe		/* G773 Monitor Hub */
#define	USB_PRODUCT_VIEWSONIC_P815HUB	0x00ff		/* P815 Monitor Hub */
#define	USB_PRODUCT_VIEWSONIC_AIRSYNC	0x0f01		/* Airsync */
#define	USB_PRODUCT_VIEWSONIC_G773CTRL	0x4153		/* G773 Monitor Control */

/* Vision products */
#define	USB_PRODUCT_VISION_VC6452V002	0x0002		/* CPiA Camera */

/* Visioneer products */
#define	USB_PRODUCT_VISIONEER_7600	0x0211		/* OneTouch 7600 */
#define	USB_PRODUCT_VISIONEER_5300	0x0221		/* OneTouch 5300 */
#define	USB_PRODUCT_VISIONEER_3000	0x0224		/* Scanport 3000 */
#define	USB_PRODUCT_VISIONEER_6100	0x0231		/* OneTouch 6100 */
#define	USB_PRODUCT_VISIONEER_6200	0x0311		/* OneTouch 6200 */
#define	USB_PRODUCT_VISIONEER_8100	0x0321		/* OneTouch 8100 */
#define	USB_PRODUCT_VISIONEER_8600	0x0331		/* OneTouch 8600 */

/* Vivitar products */
#define	USB_PRODUCT_VIVITAR_DSC350	0x0003		/* DSC350 */

/* VTech products */
#define	USB_PRODUCT_VTECH_RT2570	0x3012		/* RT2570 */
#define	USB_PRODUCT_VTECH_ZD1211B	0x3014		/* ZD1211B */

/* Option products */
#define	USB_PRODUCT_OPTION_VODAFONEMC3G	0x5000		/* Vodafone Mobile Connect 3G */
#define	USB_PRODUCT_OPTION_GT3GFUSION	0x6000		/* GlobeTrotter 3G FUSION */
#define	USB_PRODUCT_OPTION_GT3GQUAD	0x6300		/* GlobeTrotter 3G QUAD */
#define	USB_PRODUCT_OPTION_GT3GQUADPLUS	0x6600		/* GlobeTrotter 3G QUAD PLUS */

/* WCH/QinHeng Electronics */
#define	USB_PRODUCT_WCH_CH341	0x5523		/* CH341 serial/parallel */

/* Wacom products */
#define	USB_PRODUCT_WACOM_CT0405U	0x0000		/* CT-0405-U Tablet */
#define	USB_PRODUCT_WACOM_GRAPHIRE	0x0010		/* Graphire */
#define	USB_PRODUCT_WACOM_GRAPHIRE3_4X5	0x0013		/* Graphire3 4x5 */
#define	USB_PRODUCT_WACOM_GRAPHIRE4_4X5	0x0015		/* Graphire4 Classic A6 */
#define	USB_PRODUCT_WACOM_INTUOSA5	0x0021		/* Intuos A5 */

/* Wistron NeWeb products */
#define	USB_PRODUCT_WISTRONNEWEB_UR055G	0x0711		/* UR055G */
#define	USB_PRODUCT_WISTRONNEWEB_AR5523_1	0x0826		/* AR5523 */
#define	USB_PRODUCT_WISTRONNEWEB_AR5523_1_NF	0x0827		/* AR5523 */
#define	USB_PRODUCT_WISTRONNEWEB_AR5523_2	0x0828		/* AR5523 */
#define	USB_PRODUCT_WISTRONNEWEB_AR5523_2_NF	0x0829		/* AR5523 */

/* Xirlink products */
#define	USB_PRODUCT_XIRLINK_IMAGING	0x800d		/* Imaging Device */
#define	USB_PRODUCT_XIRLINK_PCCAM	0x8080		/* IBM PC Camera */

/* Y-E Data products */
#define	USB_PRODUCT_YEDATA_FLASHBUSTERU	0x0000		/* Flashbuster-U */

/* Yamaha products */
#define	USB_PRODUCT_YAMAHA_UX256	0x1000		/* UX256 MIDI I/F */
#define	USB_PRODUCT_YAMAHA_UX96	0x1008		/* UX96 MIDI I/F */
#define	USB_PRODUCT_YAMAHA_RPU200	0x3104		/* RP-U200 */
#define	USB_PRODUCT_YAMAHA_RTA54I	0x4000		/* NetVolante RTA54i */
#define	USB_PRODUCT_YAMAHA_RTW65B	0x4001		/* NetVolante RTW65b */
#define	USB_PRODUCT_YAMAHA_RTW65I	0x4002		/* NetVolante RTW65i */
#define	USB_PRODUCT_YAMAHA_RTA55I	0x4004		/* NetVolante RTA55i */

/* Yano products */
#define	USB_PRODUCT_YANO_U640MO	0x0101		/* U640MO-03 */

/* Z-Com products */
#define	USB_PRODUCT_ZCOM_M4Y750	0x0001		/* M4Y-750 */
#define	USB_PRODUCT_ZCOM_XI725	0x0002		/* XI-725/726 */
#define	USB_PRODUCT_ZCOM_XI735	0x0005		/* XI-735 */
#define	USB_PRODUCT_ZCOM_ZD1211	0x0011		/* ZD1211 */
#define	USB_PRODUCT_ZCOM_AR5523	0x0012		/* AR5523 */
#define	USB_PRODUCT_ZCOM_AR5523_NF	0x0013		/* AR5523 driver */
#define	USB_PRODUCT_ZCOM_ZD1211B	0x001a		/* ZD1211B */

/* Zinwell products */
#define	USB_PRODUCT_ZINWELL_RT2570	0x0260		/* RT2570 */

/* Zoom Telephonics, Inc. products */
#define	USB_PRODUCT_ZOOM_2986L	0x9700		/* 2986L Fax Modem */

/* ZyDAS Technology products */
#define	USB_PRODUCT_ZYDAS_ZD1201	0x1201		/* ZD1201 */
#define	USB_PRODUCT_ZYDAS_ZD1211	0x1211		/* ZD1211 */
#define	USB_PRODUCT_ZYDAS_ZD1211B	0x1215		/* ZD1211B */

/* ZyXEL Communication Co. products */
#define	USB_PRODUCT_ZYXEL_OMNI56K	0x1500		/* Omni 56K Plus */
#define	USB_PRODUCT_ZYXEL_980N	0x2011		/* Scorpion-980N */
#define	USB_PRODUCT_ZYXEL_ZYAIRG220	0x3401		/* ZyAIR G-220 */
#define	USB_PRODUCT_ZYXEL_AG225H	0x3409		/* AG-225H */
#define	USB_PRODUCT_ZYXEL_M202	0x340a		/* M-202 */
#define	USB_PRODUCT_ZYXEL_G270S	0x340c		/* G-270S */
#define	USB_PRODUCT_ZYXEL_G220V2	0x340f		/* G-220 v2 */
#define	USB_PRODUCT_ZYXEL_G202	0x3410		/* G-202 */
#define	USB_PRODUCT_ZYXEL_PRESTIGE	0x401a		/* Prestige */
